2003-05-29 Thursday 20:32  d_sergienko

	* HISTORY, TODO, VERSION (fidoconf-0_14-stable.[6,1,6]): update
	version

2003-05-29 Thursday 17:31  d_sergienko

	* doc/proposal.texi (fidoconf-0_14-stable.2): added info about
	commentChar

2003-05-27 Tuesday 11:51  d_sergienko

	* doc/fidoconfig.texi (fidoconf-0_14-stable.3): 
	fixed author's info

2003-05-27 Tuesday 10:59  sfpavel

	* VERSION, debian/changelog, debian/control, debian/rules
	(fidoconf-0_14-stable.[5,12,5,3]): New debian release

2003-05-14 Wednesday 22:09  d_sergienko

	* HISTORY, line.c (fidoconf-0_14-stable.[5,3]): workaround: don't
	crash when link statement after described echoArea/fileArea found

2003-04-27 Sunday 19:49  d_sergienko

	* adcase.c (fidoconf-0_14-stable.1): fix case on win32.

2003-02-12 Wednesday 06:41  sfpavel

	* common.c (tags: fidoconf-0_14_3-release)
	(fidoconf-0_14-stable.10): Fix previous patch

2003-02-11 Tuesday 17:37  stas_degteff

	* HISTORY, INSTALL, VERSION (fidoconf-0_14-stable.[4,2,4]) (utags:
	fidoconf-0_14_3-release): fidoconf 0.14.3-release

2003-02-11 Tuesday 17:37  stas_degteff

	* common.c (fidoconf-0_14-stable.9): Fix win32 builds

2003-01-30 Thursday 09:13  mche

	* common.c (fidoconf-0_14-stable.8): fix passing arguments to
	unpacker

2003-01-10 Friday 14:56  stas_degteff

	* fidoconf.c (tags: fidoconf-0_14_3-release)
	(fidoconf-0_14-stable.4): MFC: Warning about truncate pktpwd

2002-12-30 Monday 14:47  stas_degteff

	* VERSION (fidoconf-0_14-stable.3): Change version to 0.14.2-stable

2002-12-30 Monday 14:45  stas_degteff

	* VERSION (tags: fidoconf-0_14_2-release) (fidoconf-0_14-stable.2):
	0,14,2-release

2002-12-30 Monday 10:08  stas_degteff

	* common.c (tags: fidoconf-0_14_2-release)
	(fidoconf-0_14-stable.7): fix Watcom compilation (utime.h ->
	sys/utime.h)

2002-12-27 Friday 12:57  sfpavel

	* debian/changelog (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release) (fidoconf-0_14-stable.11): fidoconf 0.14.2
	release

2002-12-26 Thursday 12:33  stas_degteff

	* Makefile, makefile.aix, makefile.bco, makefile.emo, makefile.emx,
	makefile.ibo, makefile.in2, makefile.unx, makefile.wco
	(fidoconf-0_14-stable.[6,2,1,1,4,1,2,1,1]) (utags:
	fidoconf-0_14_2-release, fidoconf-0_14_3-release): compile with 
	-DNOSEMAPHORES

2002-12-20 Friday 14:54  stas_degteff

	* fidoconf.c (tags: fidoconf-0_14_2-release)
	(fidoconf-0_14-stable.3): Bugfix: trap if defined carbonto into
	nonexistent area and badarea not specified

2002-11-21 Thursday 11:09  stas_degteff

	* doc/config (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release) (fidoconf-0_14-stable.1): Add unpacker
	exapmles:  pkzipc, pkzip25, pkunzip, unrar for sfx archives

2002-11-03 Sunday 03:53  d_sergienko

	* README.TXT, doc/fidoconfig.texi (fidoconf-0_14-stable.[2,2])
	(utags: fidoconf-0_14_2-release, fidoconf-0_14_3-release,
	fidoconf-0_14-release): update docs

2002-10-25 Friday 13:17  stas_degteff

	* common.c (tags: fidoconf-0_14-release) (fidoconf-0_14-stable.6):
	Fix Watcom C win32 compilation

2002-10-24 Thursday 13:13  stas_degteff

	* Makefile, makefile.in2, makefile.sun (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release), xstr.c (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release)
	(fidoconf-0_14-stable.[5,1,1,2]) (utags: fidoconf-0_14-release):
	Define for old SunOs: VSPRINTF_ONLY

2002-10-23 Wednesday 12:18  stas_degteff

	* makefile.emx (tags: fidoconf-0_14-release)
	(fidoconf-0_14-stable.3): restore -Zcrtdll EMX compiler option :
	fix previous

2002-10-23 Wednesday 11:23  stas_degteff

	* makefile.emx (fidoconf-0_14-stable.2): restore -Zcrtdll EMX
	compiler option

2002-10-22 Tuesday 09:57  stas_degteff

	* makefile.emx (fidoconf-0_14-stable.1): Remove unused linker
	option

2002-10-22 Tuesday 09:38  stas_degteff

	* cfg.c (tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.9): Fix EMX compiler
	warnings in cmpfnames()

2002-10-22 Tuesday 08:34  stas_degteff

	* cfg.c (fidoconf-0_14-stable.8): Prevent Os/2 compilation warnings

2002-10-22 Tuesday 08:31  stas_degteff

	* temp.h (tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.1): dos2unix

2002-10-22 Tuesday 08:25  stas_degteff

	* fc2aed.c (tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.1): Fix compilation
	warning

2002-10-21 Monday 09:31  stas_degteff

	* makefile.inc (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.2): MFC: fix commonclean tag: prevent remove
	files fithout suffixes on DOS-based FS

2002-10-21 Monday 09:20  stas_degteff

	* cfg.c (fidoconf-0_14-stable.7): Fix & fine cmpfnames() for DJGPP

2002-10-21 Monday 08:45  stas_degteff

	* common.c (fidoconf-0_14-stable.5): Use cmpfnames() for prevent
	trying move & copy file itself

2002-10-21 Monday 08:44  stas_degteff

	* cfg.c (fidoconf-0_14-stable.6): Fix cmpfnames() definitions for
	all platforms: remove 'statuc' modifier

2002-10-21 Monday 06:37  stas_degteff

	* cfg.c, common.c (fidoconf-0_14-stable.[5,4]): Fix for DJGPP

2002-10-15 Tuesday 03:48  sfpavel

	* cfg.c (fidoconf-0_14-stable.4): Fix typo

2002-10-14 Monday 06:29  sfpavel

	* common.c, temp.c (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.[3,3]): Fix OS/2 EMX build

2002-10-12 Saturday 07:46  stas_degteff

	* line.c (tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.2): Fix previous
	(enable exit on negative value of idlePassthruTimeout)

2002-10-11 Friday 17:47  stas_degteff

	* fidoconf.c (tags: fidoconf-0_14-release), fidoconf.h (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), line.c (fidoconf-0_14-stable.[2,3,1]): Fix
	default values setting for areafix queue

2002-10-11 Friday 03:23  sfpavel

	* cfg.c (fidoconf-0_14-stable.3): Fix for DJGPP cmpfnames()

2002-10-10 Thursday 12:21  sfpavel

	* debian/: changelog (tags: fidoconf-0_14-release), control (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), fidoconf-runtime.dirs,
	libfidoconf0-dev.dirs, libfidoconf0.dirs
	(fidoconf-0_14-stable.[10,4,2,1,1]): New debian packages

2002-10-10 Thursday 11:54  sfpavel

	* Makefile (fidoconf-0_14-stable.4): Apply fix from sfpavel (Fix
	build fconf2*: no link with static libfidoconf)

2002-09-28 Saturday 08:42  pgul

	* fidoconf.h (fidoconf-0_14-stable.2): correct previous patch

2002-09-27 Friday 12:12  pgul

	* fidoconf.h (fidoconf-0_14-stable.1): add 'extern' to theApp
	declaration

2002-09-19 Thursday 07:31  sfpavel

	* fc2msged.c, makefile.djg (fidoconf-0_14-stable.[1,1]) (utags:
	fidoconf-0_14_2-release, fidoconf-0_14_3-release,
	fidoconf-0_14-release): Fix DJGPP build

2002-09-18 Wednesday 13:36  sfpavel

	* debian/changelog (fidoconf-0_14-stable.9): Correct release date

2002-09-18 Wednesday 10:15  sfpavel

	* debian/: changelog, huskymak.cfg (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release),
	libfidoconf0.doc-base (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), libfidoconf0.files
	(tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.[8,1,1,2]): Fix
	install of html doc

2002-09-17 Tuesday 09:35  sfpavel

	* Makefile, cfg.c, common.c, dirlayer.c (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), dirlayer.h (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), makefile.aix
	(tags: fidoconf-0_14-release), makefile.mvc (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), makefile.mvcdll (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), syslogp.h (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), temp.c, tree.c
	(tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), typesize.h (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), xstr.c,
	debian/changelog, debian/libfidoconf0-dev.preinst (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), doc/Makefile (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release)
	(fidoconf-0_14-stable.[3,2,2,1,1,1,1,1,1,2,1,1,1,7,2,3]): Ver.
	0.14-RC2: merge fixes from current branch

2002-09-17 Tuesday 07:10  sfpavel

	* doc/: Makefile, makefile.unx (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.[2,2]): Updates from stable branch

2002-09-14 Saturday 19:05  stas_degteff

	* temp.c (fidoconf-0_14-stable.1): Fix mktemp() declaration for
	Watcom C

2002-09-12 Thursday 11:21  stas_degteff

	* HISTORY (tags: fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.3): Info about previous fix

2002-09-12 Thursday 10:49  stas_degteff

	* fidoconf.c (fidoconf-0_14-stable.1): Fix commented line parsing
	(if comment ends line)

2002-09-12 Thursday 08:35  stas_degteff

	* tparser.c (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.2): Fix previous patch

2002-09-12 Thursday 08:31  stas_degteff

	* tparser.c (fidoconf-0_14-stable.1): Tparser output remaps
	statements (merged from -current)

2002-09-05 Thursday 04:38  stas_degteff

	* Makefile (fidoconf-0_14-stable.2): Set instll options for perl &
	shell scripts

2002-09-05 Thursday 01:13  sfpavel

	* debian/: changelog, control, fidoconf-runtime.dirs,
	fidoconf-runtime.examples (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release),
	fidoconf-runtime.files (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), info (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), libfidoconf0-dev.links (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), libfidoconf0-dev.preinst, rules (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.[6,3,1,1,1,1,1,1,2]):
	New debian package

2002-09-05 Thursday 01:12  sfpavel

	* Makefile (fidoconf-0_14-stable.1): Fix install of linkedto and
	fconf2areasbbs

2002-09-05 Thursday 00:57  sfpavel

	* man/: dumpfcfg.1, fconf2.1, linkedto.1, tparser.1
	(fidoconf-0_14-stable.[1,1,1,1]) (utags: fidoconf-0_14_2-release,
	fidoconf-0_14_3-release, fidoconf-0_14-release): Fix http location

2002-09-05 Thursday 00:55  sfpavel

	* doc/: Makefile, fidoconfig.texi (fidoconf-0_14-stable.[1,1]):
	Build html with makeinfo

2002-09-04 Wednesday 19:07  stas_degteff

	* cfg.c (fidoconf-0_14-stable.1): Initialise variables (prevent
	memory fault)

2002-08-29 Thursday 10:16  sfpavel

	* debian/libfidoconf0-dev.preinst (1.1): Update debian version

2002-08-29 Thursday 08:16  sfpavel

	* debian/: info (1.1), libfidoconf0-dev.links (1.1): New debian
	package

2002-08-26 Monday 06:00  sfpavel

	* debian/: README.Debian (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), changelog,
	copyright (tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release) (fidoconf-0_14-stable.[1,5,2]): Update http
	location

2002-08-22 Thursday 06:21  sfpavel

	* debian/changelog (fidoconf-0_14-stable.4): Correct apt location
	(now http://husky.sourceforge.net/debian)

2002-08-17 Saturday 07:03  sfpavel

	* debian/changelog (fidoconf-0_14-stable.3): New debian package

2002-08-01 Thursday 06:27  stas

	* debian/: changelog, control, copyright
	(fidoconf-0_14-stable.[2,2,1]): Debian package patch from Pavel
	Andreew <pavel@collage.etel.ru>

2002-07-24 Wednesday 20:27  stas

	* afixcmn.c (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.2): Update for patch 2002-07-22 Monday 23:27 
	stas: change TOPT kludge too

2002-07-22 Monday 21:27  stas

	* HISTORY, afixcmn.c (fidoconf-0_14-stable.[2,1]): Fix remap
	(replace INTL kludge)

2002-07-13 Saturday 16:52  stas

	* doc/makefile.unx (1.1): file makefile.unx was initially added on
	branch fidoconf-0_14-stable.

2002-07-13 Saturday 16:52  stas

	* doc/: makefile.bsd (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), makefile.cyg
	(tags: fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), makefile.lnx (tags:
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), makefile.unx
	(fidoconf-0_14-stable.[1,1,1,1]): makefiles for building
	documentation for *BSD and Cygwin

2002-07-13 Saturday 16:52  stas

	* doc/makefile.bsd (1.1): file makefile.bsd was initially added on
	branch fidoconf-0_14-stable.

2002-07-13 Saturday 16:52  stas

	* doc/makefile.cyg (1.1): file makefile.cyg was initially added on
	branch fidoconf-0_14-stable.

2002-07-13 Saturday 16:50  stas

	* doc/proposal.texi (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.1): Add description for tokens: localarea,
	bbsarea and filearea. (MFC)

2002-07-07 Sunday 09:57  pavel.gulchouck

	* common.c (fidoconf-0_14-stable.1): Save modification time in
	move_file() and copy_file()

2002-07-01 Monday 12:03  stas

	* makefile.inc, debian/changelog, debian/control,
	debian/fidoconf-runtime.postinst, debian/fidoconf-runtime.postrm,
	debian/fidoconf-runtime.prerm, debian/libfidoconf0-dev.postinst,
	debian/libfidoconf0-dev.postrm, debian/libfidoconf0-dev.prerm,
	debian/libfidoconf0.files, debian/libfidoconf0.postinst,
	debian/libfidoconf0.postrm, debian/libfidoconf0.prerm,
	debian/rules, debian/shlibs (tags: fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release)
	(fidoconf-0_14-stable.[1,1,1,1,1,1,1,1,1,1,1,1,1,1,1]): Change
	version number & debian package control files. (Patch from Pavel
	Andreew <pavel@collage.etel.ru>)

2002-06-25 Tuesday 15:26  stas

	* HISTORY, INSTALL (tags: fidoconf-0_14_2-release,
	fidoconf-0_14-release), README.TXT, VERSION (tags:
	fidoconf-0_14-release) (fidoconf-0_14-stable.[1,1,1,1]): Start 
	0.14-stable branch, update documentation.

2002-06-25 Tuesday 15:23  stas

	* README.TXT (1.1): Begin 0.14-stable branch. (Change description
	files).

2002-06-25 Tuesday 14:16  stas

	* doc/.cvsignore (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Add auxiliary
	file.

2002-06-24 Monday 13:19  stas

	* log.h (1.7, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): New log level LL_LINKPASS ('Y'); add some
	aliases for other

2002-06-23 Sunday 19:57  stas

	* makefile.bsd (1.14, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Add comments.

2002-06-21 Friday 13:22  stas

	* temp.c (1.4): Include fix: io.h for turbo C & MS C, unistd.h for
	other

2002-06-20 Thursday 13:10  stas

	* Makefile (1.39): Fix CDEFS.

2002-06-20 Thursday 11:53  stas

	* temp.c (1.3): Change logic in MKSTEMP, rename it to MKSTEMPS.

2002-06-20 Thursday 11:01  stas

	* temp.h (1.3): Fix for non-unix platform.

2002-06-20 Thursday 07:47  stas

	* fidoconf.h (1.124): Prevent redefine PATH_DELIM (if this macro
	already defined)

2002-06-19 Wednesday 14:49  stas

	* doc/proposal.texi (1.134): Describe token tempDir into
	documentation.

2002-06-19 Wednesday 14:48  stas

	* temp.h (1.2): Export functions from temp.c/temp.h (fix);

2002-06-19 Wednesday 14:37  stas

	* tparser.c (1.182): Print warning messages if some directories not
	defined in config. (new function testConfig).

2002-06-19 Wednesday 14:20  stas

	* Makefile (1.38), fidoconf.h (1.123), line.c (1.306), makefile.inc
	(1.26), temp.c (1.1), temp.h (1.1), tokens.h (1.36,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), tparser.c (1.181): New token: tempDir; new
	functions: createTempFileIn(), createTempTextFile(),
	createTempBinFile(), macro createTempFile()

2002-06-19 Wednesday 14:17  stas

	* doc/keywords.hpt (1.26, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Remove common for
	fidoconfig keywords

2002-06-19 Wednesday 13:00  stas

	* tparser.c (1.180): Change emailpkt section output condition: now
	printed everyone.

2002-06-19 Wednesday 07:30  stas

	* log.h (1.6), doc/proposal.texi (1.133): New loglevel 'P' = LL_DIR
	for directory operations

2002-06-18 Tuesday 20:30  tobi

	* tparser.c (1.179): bugfix for os/2

2002-06-17 Monday 17:44  stas

	* fecfg2fc.c (1.5, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Extend Fastecho to
	fidoconfig conversion utility: packers, domain in FTN address &
	etc.

2002-06-17 Monday 17:41  stas

	* crc.c (1.2, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): Fix warning.

2002-06-17 Monday 04:50  stas

	* doc/proposal.texi (1.132): Cosmetic fix.

2002-06-16 Sunday 09:57  mche

	* line.c (1.305): wrong passing arguments fixed

2002-06-15 Saturday 13:34  stas

	* fidoconf.c (1.79), fidoconf.h (1.122), line.c (1.304), tokens.h
	(1.35): New token in mail config: email (for emailpkt).

2002-06-15 Saturday 13:17  stas

	* tparser.c (1.178): Add 'tmailpkt' section with sendmailcmd token
	value

2002-06-15 Saturday 13:10  stas

	* fidoconf.c (1.78): Fix: free sendmailcmd in disposeConfig()

2002-06-15 Saturday 13:04  stas

	* .cvsignore (1.5, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Modify
	not-commited filemasks list

2002-06-15 Saturday 08:25  mche

	* tokens.h (1.34): token order fixed

2002-06-15 Saturday 07:53  mche

	* makefile.inc (1.25): patch by [Alexander Shiyan
	<shc@milas.spb.ru>]

2002-06-14 Friday 16:49  mche

	* line.c (1.303): fixed incorrect function defenition

2002-06-14 Friday 16:04  mche

	* .cvsignore (1.4): no message

2002-06-14 Friday 14:33  stas

	* doc/proposal.texi (1.131): Description for sendMailCmd added.

2002-06-14 Friday 14:07  stas

	* fidoconf.h (1.121), line.c (1.302), tokens.h (1.33): New token
	sendMailCmd (for emailpkt).

2002-06-14 Friday 10:26  mche

	* common.h (1.49, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): fscmn.* contain some functions works with
	files,directories  and their names.  taken from fidoconf/common.h

2002-06-13 Thursday 17:31  stas

	* fconf2dir (1.1, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): New script: generate fileareas directories
	listing for FREQ-processors & bbslist tool.

2002-06-13 Thursday 17:28  stas

	* fconf2areasbbs (1.3, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Fixes: passthrough
	areas recognition, subscribed links list.

2002-06-13 Thursday 17:28  stas

	* fconf2areasbbs (1.2): Added JAM support (patch by Dmitry Pankov
	2:5022/81)

2002-06-13 Thursday 17:26  stas

	* log.h (1.5): Fix 'alert' log level.

2002-06-13 Thursday 04:45  stas

	* log.h (1.4): Change log levels defines

2002-06-13 Thursday 04:44  stas

	* man/fconf2.1 (1.3): Add fconf2areasbbs and fconf2dir descriptions

2002-06-13 Thursday 04:42  stas

	* doc/proposal.texi (1.130): Add loglevels & screenloglevels nodes.

2002-06-11 Tuesday 16:22  mche

	* afixcmd.c (1.8, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): remove cygwin warning

2002-06-10 Monday 13:54  mche

	* Makefile (1.37), makefile.inc (1.24), makefile.mvc (1.12),
	makefile.mvcdll (1.13), arealist.c (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), arealist.h (1.1,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): arealist.* moved to fidoconfig from hpt

2002-06-10 Monday 13:12  mche

	* makefile.mvc (1.11): link fconfmvc.lib only with necessary *.obj
	from smapi

2002-06-09 Sunday 12:17  mche

	* fidoconf.h (1.120), tparser.c (1.177): forwardrequests added

2002-06-08 Saturday 13:54  mche

	* afixcmd.c (1.7), afixcmd.h (1.7, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): IsAreaAvailable()
	moved to fidoconfig

2002-06-07 Friday 17:31  mche

	* afixcmd.c (1.6): some code improvement

2002-06-07 Friday 10:18  oliver.grimm

	* fidoconf.c (1.77): Fix a problem with empty lines &
	stripWhitespaces(), so 1st char is also stripped if needed.

2002-06-07 Friday 09:30  mche

	* afixcmn.c (1.10): msgid generation rolled back

2002-06-06 Thursday 14:29  mche

	* fidoconf.h (1.119), line.c (1.301): filearea option added: -nodiz
	Do not try to get description from <fileDescName>

2002-06-05 Wednesday 12:30  mche

	* afixcmd.h (1.6), afixcmn.c (1.9): function freeMsgBuffers() moved
	from hpt to fidoconfig

2002-06-05 Wednesday 05:21  stas

	* afixcmd.c (1.5): Replace russian win-1251 comment to english.

2002-06-04 Tuesday 07:32  oliver.grimm

	* fc2sq.c (1.5, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): OG: Add an explanation of "-" in the help
	output

2002-06-04 Tuesday 07:26  oliver.grimm

	* fc2sq.c (1.4): OG: fconf2squish now interpret argument "-" as
	stdout (all non squish.cfg outputs go to stderr)

2002-06-03 Monday 07:14  mche

	* tparser.c (1.176): token SaveTic in tparser

2002-06-01 Saturday 12:19  mche

	* fidoconf.h (1.118), line.c (1.300): token SaveTic expanded

2002-05-30 Thursday 13:25  stas

	* common.c (1.86): Check NULL pointers in patimat()

2002-05-28 Tuesday 15:25  mche

	* line.c (1.299): parseSaveTic() improved

2002-05-25 Saturday 14:32  d.sergienko

	* afixcmd.c (1.4): added #include <ctype.h> for isspace(),
	isdigit().

2002-05-24 Friday 06:34  pavel.gulchouck

	* line.c (1.298): fix spelling

2002-05-24 Friday 06:31  pavel.gulchouck

	* line.c (1.297): getDescription fix - process tab as whitespace

2002-05-22 Wednesday 11:19  mche

	* afixcmd.c (1.3), afixcmd.h (1.5): new version of
	DelLinkFromString() moved from hpt to fidoconfig for common use in
	hpt & htick

2002-05-20 Monday 09:36  pavel.gulchouck

	* line.c (1.296), fidoconf.c (1.76): BeOS compilation fix

2002-05-19 Sunday 09:08  pavel.gulchouck

	* adcase.c (1.8, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): avoid warning

2002-05-17 Friday 05:56  mche

	* fidoconf.h (1.117), line.c (1.295), tokens.h (1.32),
	doc/keywords.hpt (1.25): new token for link  "LinkFileFaseDir"
	Where autocreated file echos will be placed (may be "passthrough")

2002-05-15 Wednesday 17:04  mche

	* afixcmn.c (1.8): fast msgid generation

2002-05-14 Tuesday 14:13  pavel.gulchouck

	* typesize.h (1.21): mingw32 compilation fix

2002-05-12 Sunday 12:06  mche

	* tparser.c (1.175): expanded pauses in tparser

2002-05-12 Sunday 11:54  mche

	* line.c (1.294): fixed bug with pausing links for fileechoareas

2002-05-12 Sunday 11:52  mche

	* common.c (1.85): fixed bug with pausing links for echoareas

2002-05-11 Saturday 13:32  mche

	* afixcmn.c (1.7): fix cygwin warnings

2002-05-11 Saturday 10:16  mche

	* common.c (1.84), common.h (1.48): changeFileSuffix() moved to
	fidoconfig for common use in hpt, htick

2002-05-11 Saturday 09:16  mche

	* afixcmd.h (1.4), afixcmn.c (1.6), fidoconf.h (1.116):
	createXMSG() moved to fidoconfig for common use in hpt, htick

2002-05-07 Tuesday 11:15  mche

	* fidoconf.h (1.115): make mvcdll version compilable

2002-05-07 Tuesday 08:38  pavel.gulchouck

	* fidoconf.h (1.114): added HAREA harea to s_area structure

2002-05-07 Tuesday 05:53  pavel.gulchouck

	* line.c (1.293): subscribe a:b.c.* now means export to all a:b/c
	points including zero

2002-05-07 Tuesday 05:42  pavel.gulchouck

	* afixcmn.c (1.5): Fix compiler warning

2002-05-06 Monday 15:50  pavel.gulchouck

	* fidoconf.h (1.113): added FILE *pkt to s_link structure

2002-05-06 Monday 12:02  pavel.gulchouck

	* afixcmn.c (1.4): Do not add "FLAGS NPD" in createKludges

2002-05-06 Monday 10:50  pavel.gulchouck

	* line.c (1.292): getDescription fix

2002-05-06 Monday 09:07  pavel.gulchouck

	* afixcmn.c (1.3): fix compiler warning

2002-05-06 Monday 07:18  pavel.gulchouck

	* fidoconf.c (1.75): stripComment fix

2002-05-04 Saturday 07:54  mche

	* afixcmd.h (1.3), afixcmn.c (1.2), fidoconf.h (1.112):
	makeMessage() moved to fidoconfig for common use in hpt htick
	txt2pkt

2002-05-03 Friday 12:30  mche

	* afixcmd.h (1.2), makefile.inc (1.23), makefile.mvc (1.10),
	makefile.mvcdll (1.12): createKludgesmoved to fidoconfig for common
	use in hpt htick txt2pkt

2002-05-03 Friday 11:28  mche

	* afixcmn.c (1.1): here is some common Areafix function

2002-05-01 Wednesday 15:25  pavel.gulchouck

	* cfg.c (1.36): cmpfnames() for windows changed

2002-04-26 Friday 15:19  mche

	* common.c (1.83), common.h (1.47): fillCmdStatement moved to
	fidoconfig for common use in hpt htick nltools

2002-04-24 Wednesday 16:03  mche

	* common.c (1.82): removed CreateHardLink from copy_file()

2002-04-23 Tuesday 09:04  d.sergienko

	* makefile.inc (1.22): Watcom Make doesn't understand slash at the
	end of line...

2002-04-22 Monday 05:44  mche

	* afixcmd.c (1.2): fix cygwin compilation

2002-04-21 Sunday 09:22  d.sergienko

	* makefile.inc (1.21): lame syntax fix (symbols after trailing
	slashes and spaces instead of tabs)

2002-04-20 Saturday 11:46  mche

	* tree.c (1.3), tree.h (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): search and insert
	algorithm

2002-04-19 Friday 14:17  mche

	* fidoconf.h (1.111), line.c (1.291), Makefile (1.35), makefile.inc
	(1.20), makefile.mvcdll (1.11), afixcmd.c (1.1), afixcmd.h (1.1):
	pause statement expanded to: Pause ON Pause OFF Pause FAREA Pause
	EAREA

2002-04-15 Monday 10:59  mche

	* doc/keywords.hpt (1.24): token perlSupport removed

2002-04-15 Monday 10:54  mche

	* fidoconf.h (1.110), line.c (1.290), tokens.h (1.31), tparser.c
	(1.174): token perlSupport removed

2002-04-15 Monday 10:38  mche

	* makefile.mvc (1.9): no message

2002-04-15 Monday 10:36  mche

	* adcase.h (1.4, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): makefile for mvcdll version

2002-04-13 Saturday 14:44  mche

	* fidoconf.h (1.109): Some internal features added.  Now we can set
	application that use fidoconfig

2002-04-13 Saturday 14:26  mche

	* common.c (1.81), fidoconf.c (1.74), fidoconf.h (1.108), line.c
	(1.289), tokens.h (1.30), tparser.c (1.173): new token
	"TickerPackToBox" added

2002-04-11 Thursday 07:20  pavel.gulchouck

	* man/Makefile (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Installation
	manpages bugfix

2002-04-11 Thursday 06:36  pavel.gulchouck

	* areatree.c (1.5), log.c (1.5) (utags: fidoconf-0_14_2-release,
	fidoconf-0_14_3-release, fidoconf-0_14-release): Fixed compiler
	warning -- no newline at end of file

2002-04-09 Tuesday 16:20  mche

	* areatree.c (1.4), fidoconf.c (1.73), fidoconf.h (1.107), line.c
	(1.288), tparser.c (1.172): new token "quickAreaSearch" removed

2002-04-08 Monday 16:07  mche

	* fidoconf.h (1.106), line.c (1.287), tokens.h (1.29): token
	"uueechogroup" added

2002-04-06 Saturday 13:21  d.sergienko

	* Makefile (1.34): added installation of areatree.h

2002-04-06 Saturday 07:35  mche

	* areatree.c (1.3): fixed cygwin compilation

2002-04-06 Saturday 07:18  mche

	* cfg.c (1.35): fixed cygwin compilation

2002-04-05 Friday 13:52  mche

	* areatree.c (1.2): free tree before rebuild

2002-04-05 Friday 13:31  mche

	* areatree.c (1.1), areatree.h (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): new token
	"quickAreaSearch" added makes areasearch faster by using b-tree

2002-04-05 Friday 13:11  mche

	* fidoconf.c (1.72), fidoconf.h (1.105), line.c (1.286),
	makefile.inc (1.19), makefile.mvcdll (1.10), tokens.h (1.28),
	tparser.c (1.171), tree.c (1.2): new token "quickAreaSearch" added
	makes areasearch faster by using b-tree

2002-04-05 Friday 07:58  ml

	* common.c (1.80), common.h (1.46):  work again on wcw (case
	insensitive CreateOutboundFileName function calls of Watcom C)
	[patch by sir]

2002-03-31 Sunday 05:59  ml

	* Makefile (1.33), cfg.c (1.34), fidoconf.c (1.71), fidoconf.h
	(1.104), line.c (1.285), tokens.h (1.27), tparser.c (1.170),
	doc/keywords.hpt (1.23): packNetMailOnScan token

2002-03-30 Saturday 06:34  ml

	* Makefile (1.32): install and uninstall tree.h

2002-03-29 Friday 14:32  pavel.gulchouck

	* cfg.c (1.33): Work if GetShortPathName() fails

2002-03-28 Thursday 14:02  mche

	* common.c (1.79): hardlink support for coping files under  WinNT
	5.0

2002-03-27 Wednesday 14:12  mche

	* common.c (1.78), common.h (1.45): functions
	needUseFileBoxForLink,makeFileBoxName moved to fidoconfig for
	common usage in htick and hpt

2002-03-27 Wednesday 10:20  mche

	* common.c (1.77), common.h (1.44), fidoconf.h (1.103): function
	createOutboundFileName moved to fidoconfig

2002-03-20 Wednesday 16:17  mche

	* common.c (1.76), common.h (1.43): function makeMsgbFileName is
	removed from htick  and hpt to fidoconfig

2002-03-20 Wednesday 14:51  mche

	* log.c (1.4), log.h (1.3): function writeLogEntry are removed

2002-03-20 Wednesday 14:29  mche

	* fidoconf.c (1.70), fidoconf.h (1.102): functions isOurAka,
	isAreaLink are moved to fidoconfig

2002-03-18 Monday 15:23  mche

	* makefile.inc (1.18), makefile.mvc (1.8), makefile.mvcdll (1.9),
	tree.c (1.1), tree.h (1.1), vixie.h (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): b-tree moved from
	hpt to fidoconfig

2002-03-16 Saturday 10:23  mche

	* fidoconf.c (1.69), fidoconf.h (1.101), line.c (1.284), tokens.h
	(1.26), tparser.c (1.169): new areafix tokens with default values
	ForwardRequestTimeout: 7 IdlePassthruTimeout  : 4
	KilledRequestTimeout : 3

2002-03-16 Saturday 09:55  mche

	* doc/keywords.hpt (1.22): new tokens added    
	ID_FORWARDREQUESTTIMEOUT,     ID_IDLEPASSTHRUTIMEOUT,	 
	ID_KILLEDREQUESTTIMEOUT

2002-03-14 Thursday 12:28  mche

	* fidoconf.c (1.68): getLink code improvment

2002-03-05 Tuesday 00:28  joerg.jaspert

	* debian/huskymak.cfg (1.10): New Debian Package built

2002-03-05 Tuesday 00:23  joerg.jaspert

	* debian/: changelog (1.12), control (1.9), docs (1.3,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), libfidoconf0.files (1.3), rules (1.8),
	shlibs (1.4): New Debian Package built

2002-03-02 Saturday 13:44  mche

	* common.c (1.75), common.h (1.42): function
	GetFilenameFromPathname added

2002-03-01 Friday 13:12  mche

	* makefile.mvcdll (1.8): makefile updates (change optimization)

2002-03-01 Friday 07:51  ml

	* .cvsignore (1.3): makefile updates (change optimization)

2002-02-26 Tuesday 06:37  ml

	* crc.h (1.4, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), recode.h (1.3, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), tparser.c (1.168):
	changes for compiling mscv6 dll version with perl support

2002-02-25 Monday 12:44  mche

	* cfg.c (1.32): another fix cmpfnames under Cygwin compilations
	warnings removed

2002-02-24 Sunday 14:09  mche

	* cfg.c (1.31): fixed bug with cmpfnames under Cygwin

2002-02-22 Friday 18:00  ml

	* HISTORY (1.3): new history

2002-02-22 Friday 08:42  ml

	* tparser.c (1.167): print ImportLog

2002-02-21 Thursday 14:43  mche

	* TODO (1.59, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): - speedup getArea by using b-tree

2002-02-19 Tuesday 22:03  pavel.gulchouck

	* cfg.c (1.30): elseif parse bugfix

2002-02-16 Saturday 19:27  ml

	* fidoconf.h (1.100): added hs_addr for perl.c compiling under
	msvc6

2002-02-16 Saturday 18:24  ml

	* fidoconf.h (1.99), line.c (1.283), tokens.h (1.25), tparser.c
	(1.166), doc/keywords.hpt (1.21): add perlsupport token [patch by
	Dmitry Kazimirow]; fix error in tparser dumb checks

2002-02-16 Saturday 11:08  pavel.gulchouck

	* fidoconf.c (1.67), fidoconf.h (1.98): config EOL-slyle detection
	minor fix

2002-02-16 Saturday 11:01  pavel.gulchouck

	* cfg.c (1.29), fidoconf.c (1.66), fidoconf.h (1.97), line.c
	(1.282): Put LF or CRLF in new lines according to config style

2002-02-14 Thursday 12:55  mche

	* makefile.mvcdll (1.7): minimized binaries size

2002-02-10 Sunday 17:32  pavel.gulchouck

	* cfg.c (1.28): Use GetFullPathName() with mingw32

2002-02-08 Friday 10:20  ml

	* cfg.c (1.27): fixed bug with unsubscribing link from echoarea
	with mixed unix/non-unix strings in config under msvc

2002-02-08 Friday 10:15  ml

	* tparser.c (1.165): msvc compiling

2002-02-08 Friday 09:09  mche

	* fidoconf.h (1.96): making actualLineNr exportable for mcvdll
	version

2002-02-05 Tuesday 17:50  stas

	* tparser.c (1.164): Check permissions of AutoAreaCreateFile &
	AutoFileCreateFile (links definitions).

2002-02-05 Tuesday 14:01  ml

	* cfg.c (1.26): cmpfnames logical fix

2002-02-05 Tuesday 08:52  mche

	* common.c (1.74): - added: string2addr can take first address from
	string of addresses   derived by spaces

2002-02-02 Saturday 16:19  nestyurkin.nikolay

	* cfg.c (1.25): cmpfnames() fix for Watcom C

2002-01-31 Thursday 21:07  nestyurkin.nikolay

	* cfg.c (1.24): some fix for cmpfnames (WIN32)

2002-01-31 Thursday 16:44  ml

	* fidoconf.h (1.95), line.c (1.281): don't destroy areadefaults
	when parsing netmailArea [patch by Serguei Revtov]

2002-01-31 Thursday 15:09  mhaase

	* cfg.c (1.23): bug fixed (spelling mistake and two missing
	brackets) reported by Jesper Soerensen (mhaase)

2002-01-31 Thursday 09:36  pavel.gulchouck

	* cfg.c (1.22): cmpfnames() fix for MSDOS

2002-01-30 Wednesday 18:57  ml

	* fidoconf.c (1.65): readLine can read lines without \r on Watcom
	C/WinDOs [patch by SR]

2002-01-30 Wednesday 11:55  stas

	* Makefile (1.31), makefile.cyg (1.3, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), makefile.inc
	(1.17), makefile.mvc (1.7), makefile.mvcdll (1.6): Remove converter
	to Just Tosser.

2002-01-29 Tuesday 10:33  ml

	* cfg.c (1.21): checkIncludeLogic changes by pavel, modyfied by me

2002-01-28 Monday 19:04  pavel.gulchouck

	* cfg.c (1.20), tparser.c (1.163): Bugfix in yesterday changes with
	vars_expand()

2002-01-28 Monday 00:05  pavel.gulchouck

	* fidoconf.c (1.64): Comments started after "\t#" now, not only "
	#"

2002-01-27 Sunday 23:41  pavel.gulchouck

	* cfg.c (1.19), line.c (1.280): move vars_expand() call into
	parseLine()

2002-01-27 Sunday 23:02  pavel.gulchouck

	* cfg.c (1.18), common.h (1.41): public function vars_expand()

2002-01-27 Sunday 22:57  pavel.gulchouck

	* line.c (1.279): Allow quoted areaname (included commentchar)

2002-01-27 Sunday 21:33  stas

	* log.c (1.3): Fix bug in writeLogEntry() (now screenloglevels
	token work). Change fprintf(stdout,...) calls to printf() in
	w_log() & writeLogEntry().  Log message display to stderr if log
	file don't open (writeLogEntry() & w_log()).

2002-01-27 Sunday 20:19  stas

	* Makefile (1.30): Add defines for compile fc2jt.

2002-01-27 Sunday 20:07  stas

	* makefile.cyg (1.2), makefile.inc (1.16), makefile.mvc (1.6),
	makefile.mvcdll (1.5): New utility: fconf2jt - convert fidoconfig
	to Just Tosser's config.

2002-01-27 Sunday 16:53  stas

	* common.c (1.73), common.h (1.40): Size of static variable
	returned by aka2str() defined in common.h.

2002-01-25 Friday 16:22  pavel.gulchouck

	* cfg.c (1.17), fidoconf.c (1.63), fidoconf.h (1.94), line.c
	(1.278), tokens.h (1.24), tparser.c (1.162): move CommentChar token
	parsing to preprocessor level

2002-01-25 Friday 15:16  pavel.gulchouck

	* tparser.c (1.161): added -E switch - run preprocessor only

2002-01-25 Friday 09:41  d.sergienko

	* log.c (1.2): added "\n" to error message in openLog()

2002-01-23 Wednesday 17:59  mche

	* crc.h (1.3): fixed bug with compilation under MCVS compiler

2002-01-22 Tuesday 13:49  mche

	* fidoconf.c (1.62), fidoconf.h (1.93), line.c (1.277): code
	improvement canged passing arguments by value to passing by
	pointers

2002-01-22 Tuesday 13:45  mche

	* common.h (1.39), crc.h (1.2), dirlayer.h (1.7): fixed bug with
	compilation under MCVS compiler

2002-01-22 Tuesday 13:41  mche

	* makefile.mvc (1.5), makefile.mvcdll (1.4), log.h (1.2), recode.h
	(1.2), strsep.c (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): fixed bug with
	compilation under MCVS compiler

2002-01-21 Monday 19:18  ml

	* linkedto (1.6, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), man/linkedto.1 (1.3): 'linkedto' script
	output change, man page updated. Path from Stas Degteff 2:5080/102
	<g@grumber.org>

2002-01-21 Monday 18:16  ml

	* Makefile (1.29): Install man pages (unixes only). Path from Stas
	Degteff 2:5080/102 <g@grumber.org>

2002-01-21 Monday 18:08  ml

	* Makefile (1.28), common.h (1.38), crc.c (1.1), crc.h (1.1), log.c
	(1.1), log.h (1.1), makefile.inc (1.15), recode.c (1.1,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), recode.h (1.1), strsep.c (1.1): Log file,
	charset recoding, crc32 support and strseparate() GNU function
	moved from hpt & htick. Path from Stas Degteff 2:5080/102
	<g@grumber.org>

2002-01-19 Saturday 14:58  mche

	* fidoconf.h (1.92), line.c (1.276), tokens.h (1.23), tparser.c
	(1.160), doc/keywords.hpt (1.20): token areafixqueryrequests
	changed to arefixqueuefile

2002-01-19 Saturday 13:13  mche

	* common.c (1.72), common.h (1.37): removed win32 specific code

2002-01-19 Saturday 07:49  ml

	* cfg.c (1.16): checkIncludeLogic case sencitive for unix systems

2002-01-14 Monday 19:04  ml

	* line.c (1.275): bugfix: carbonmove not carboncopy after ORed
	carbonmove rules

2002-01-14 Monday 07:27  yagodkin

	* tparser.c (1.159): Fixed FileDescName token

2002-01-10 Thursday 15:41  mche

	* fidoconf.h (1.90), line.c (1.273), tokens.h (1.21), tparser.c
	(1.157): new areafixQueryRequests token for hpt (not fully
	implemented in yet)

2002-01-10 Thursday 15:36  mche

	* doc/keywords.hpt (1.19): new areafixQueryRequests token for hpt
	(not fully implemented in yet)

2002-01-06 Sunday 16:48  ml

	* fidoconf.h (1.89), line.c (1.272), tokens.h (1.20), tparser.c
	(1.156), doc/keywords.hpt (1.18): rulesDir & noRules tokens

2002-01-05 Saturday 15:01  mche

	* adcase.c (1.7), adcase.h (1.3), common.h (1.36), fidoconf.h
	(1.88): declare some functions as dllexported (for htick)

2002-01-03 Thursday 13:15  ml

	* TODO (1.58), VERSION (1.3), makefile.inc (1.14): change version
	number

2002-01-03 Thursday 10:30  ml

	* man/: fconf2.1 (1.2), linkedto.1 (1.2), tparser.1 (1.2):
	documentation files updates

2002-01-03 Thursday 10:05  ml

	* VERSION (1.2): version file

2002-01-03 Thursday 09:19  ml

	* cfg.c (1.15): checkIncludeLogic case insensitive

2002-01-02 Wednesday 19:14  ml

	* fidoconf.c (1.61), line.c (1.271): fixed carbonrule OR after NOT
	before carbonarea definition

2002-01-02 Wednesday 18:06  mche

	* common.c (1.71), common.h (1.35), makefile.mvcdll (1.3): build
	fconfmvc.dll with msvcrt.dll

2001-12-28 Friday 17:20  ml

	* HISTORY (1.2), cfg.c (1.14): fixed yesterday bug from mche in
	configline ()

2001-12-27 Thursday 15:12  mche

	* common.c (1.70), fidoconf.c (1.60): - unified memory
	(de-)allocation functions
	
	conversion from static library to dynamic under win32 with MSVC
	compiler

2001-12-27 Thursday 15:07  mche

	* line.c (1.270), xstr.c (1.4): - unified memory (de-)allocation
	functions
	
	conversion from static library to dynamic under win32 with MSVC
	compiler

2001-12-27 Thursday 14:57  mche

	* cfg.c (1.13): - unified memory alocation functions
	
	conversion from static library to dynamic under win32 with MSVC
	compiler

2001-12-27 Thursday 14:23  mche

	* fidoconf.h (1.87): - added define _MAKE_DLL_MVC_
	
	conversion from static library to dynamic under win32 with MSVC
	compiler

2001-12-26 Wednesday 17:33  mche

	* common.c (1.69), common.h (1.34): moved functions fputUINT16,
	fgetsUntil0, getUINT16 from fidoconfig to pktread.c pktwrite.c to
	avoid error with I/O file operations when HPT is made with dlls

2001-12-26 Wednesday 16:30  mche

	* cfg.c (1.12), fidoconf.h (1.86): added functions
	getCurConfName(); getCurConfPos(); get_hcfgPos(); to avoid external
	variables

2001-12-26 Wednesday 07:37  mche

	* common.c (1.68), common.h (1.33): redesign of functions smalloc
	srealloc sstrdup for for using them as dll extern functions under
	win32

2001-12-24 Monday 13:10  mche

	* common.c (1.67), common.h (1.32): redesign of macro "nfree" for
	win32

2001-12-24 Monday 09:20  pavel.gulchouck

	* tparser.c (1.155): added echoMailFlavour, fileEchoFlavour

2001-12-24 Monday 09:09  pavel.gulchouck

	* tparser.c (1.154): added arcNetmail

2001-12-23 Sunday 20:26  pavel.gulchouck

	* tokens.h (1.19): bugfix

2001-12-23 Sunday 20:20  pavel.gulchouck

	* fidoconf.h (1.85), line.c (1.269), tokens.h (1.18),
	doc/keywords.hpt (1.17): added keyword arcNetmail for link

2001-12-23 Sunday 12:49  ml

	* cfg.c (1.11), fidoconf.c (1.59), fidoconf.h (1.84): check if
	autoarea(file)createfile included in config or not

2001-12-22 Saturday 14:34  mche

	* makefile.mvcdll (1.2): conversion from static library to dynamic
	under win32 makes fconfmvc.dll tparser.exe and so on under windows
	with MSVC compiler

2001-12-22 Saturday 14:23  mche

	* common.h (1.31), dirlayer.h (1.6), fidoconf.h (1.83), xstr.h
	(1.3, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): conversion from static library to dynamic
	under win32 makes fconfmvc.dll tparser.exe and so on under windows
	with MSVC compiler

2001-12-22 Saturday 14:16  mche

	* makefile.mvcdll (1.1): makes fconfmvc.dll tparser.exe and so on
	under windows with MSVC compiler

2001-12-17 Monday 19:45  ml

	* fidoconf.c (1.58), fidoconf.h (1.82), line.c (1.268), tokens.h
	(1.17), tparser.c (1.153), doc/keywords.hpt (1.16):
	notValidFileNameChars token

2001-12-17 Monday 12:21  ml

	* cfg.c (1.10), fidoconf.h (1.81), line.c (1.267): updates

2001-12-13 Thursday 14:54  ml

	* TODO (1.57), cfg.c (1.9), fidoconf.c (1.57), fidoconf.h (1.80):
	trying to check included files for AutoAreaCreateFile

2001-12-10 Monday 08:18  ml

	* common.c (1.66): check for zero zone in string2addr()

2001-12-09 Sunday 15:30  ml

	* fidoconf.h (1.79), line.c (1.266), tokens.h (1.16), tparser.c
	(1.152), doc/keywords.hpt (1.15): new token areafixQueryReports for
	hpt

2001-12-09 Sunday 11:58  ml

	* fecfg2fc.c (1.4): carbonarea changed to carboncopy

2001-11-18 Sunday 19:34  ml

	* line.c (1.265): fixed some strtok() calls [patch by Alexander
	Aganichev]

2001-11-08 Thursday 14:40  ml

	* fidoconf.c (1.56), fidoconf.h (1.78), line.c (1.264): define exit
	codes for non unix systems

2001-11-06 Tuesday 07:56  ml

	* makefile.cyg (1.1): cygwin makefile

2001-10-24 Wednesday 07:36  ml

	* fidoconf.c (1.55), line.c (1.263): change exit codes

2001-10-16 Tuesday 06:45  tobi

	* fidoconf.c (1.54): Fixed out of range array access when parsing
	empty lines in fidoconfig.

2001-09-04 Tuesday 05:55  ml

	* fidoconf.c (1.53): allow CR chars in unix configs (in empty
	lines)

2001-08-30 Thursday 15:50  ml

	* fidoconf.h (1.77), line.c (1.261), tokens.h (1.15), tparser.c
	(1.151), doc/keywords.hpt (1.14): New tokens: FileBoxesDir,
	FileBoxAlways [patch by SR]

2001-08-27 Monday 08:09  ml

	* line.c (1.260): don't check file boxes existence (for fileBox
	autocreation) [patch by SR]

2001-08-27 Monday 08:07  ml

	* cfg.c (1.8): fix OS var under win32

2001-08-24 Friday 13:20  ml

	* syslogp.h (1.5): syslog under BeOS it turned off

2001-08-08 Wednesday 19:41  joerg.jaspert

	* debian/: rules (1.7), fidoconf-runtime.dirs (1.2): Newest Build.

2001-08-08 Wednesday 19:32  joerg.jaspert

	* debian/: README.Debian (1.3), changelog (1.11), control (1.8),
	huskymak.cfg (1.9): Newest Build.

2001-08-01 Wednesday 12:24  ml

	* line.c (1.258), syslogp.h (1.4): allow comments after
	linkwithimportlog token

2001-07-26 Thursday 15:04  ml

	* fidoconf.c (1.52), fidoconf.h (1.75), line.c (1.257), tokens.h
	(1.14), doc/keywords.hpt (1.13), doc/proposal.texi (1.129):
	readonly & writeonly keywords for hpt

2001-07-26 Thursday 02:36  ml

	* fidoconf.c (1.51), syslogp.h (1.3): syslog support under BeOS
	(fixed compilation error)

2001-07-22 Sunday 11:22  twm

	* fidoconf.pas (1.10, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): As of now I will
	stop maintaining fidoconf.pas. It turned out that because of the
	alignment of the structures passed between fidoconfig and calling
	programs is left to the compiler, it is likely to need constant
	rechecking whether the fields are still in sync. I am not going to
	do that.  So this is the last update I will post.

2001-07-21 Saturday 13:53  twm

	* fidoconf.pas (1.9): Lots of changes to make fidoconf.pas actually
	compile and work with Kylix.  This might have broken compatibility
	with other Pascal compilers, but since there were half a million
	bugs in this unit anyway, I doubt that anybody will mind.

2001-07-15 Sunday 09:55  ml

	* HISTORY (1.1), doc/fidoconfig.texi (1.17), doc/proposal.texi
	(1.128): added HISTORY file

2001-07-09 Monday 21:20  joerg.jaspert

	* debian/: changelog (1.10), control (1.7): Smapi with the shit
	licence is only non-free so fidoconf could only be contrib.
	Bullshit.

2001-07-09 Monday 21:19  joerg.jaspert

	* debian/: fidoconf-runtime.postinst (1.1), fidoconf-runtime.postrm
	(1.1), fidoconf-runtime.prerm (1.1), libfidoconf0-dev.postinst
	(1.1), libfidoconf0-dev.postrm (1.1), libfidoconf0-dev.prerm (1.1),
	libfidoconf0.postinst (1.1), libfidoconf0.postrm (1.1),
	libfidoconf0.prerm (1.1): Some new Files

2001-07-08 Sunday 18:57  joerg.jaspert

	* debian/: changelog (1.9), libfidoconf0.files (1.2), rules (1.6),
	shlibs (1.3): Rebuild, its 0.12 now.

2001-07-08 Sunday 18:45  joerg.jaspert

	* debian/huskymak.cfg (1.8): Enabled Perl for Debian Packages

2001-07-03 Tuesday 13:40  ml

	* fidoconf.c (1.50), fidoconf.h (1.74), line.c (1.256),
	makefile.inc (1.13), tokens.h (1.13), tparser.c (1.150),
	doc/keywords.hpt (1.12): hptperlfile [patch by Serge N. Pokhodyaev]

2001-07-02 Monday 21:52  joerg.jaspert

	* debian/: changelog (1.8), shlibs (1.2): Wrong entry in shlibs
	File.

2001-07-02 Monday 21:25  joerg.jaspert

	* debian/: README.Debian (1.2), changelog (1.7), control (1.6),
	docs (1.2), fidoconf-runtime.dirs (1.1), fidoconf-runtime.examples
	(1.1), fidoconf-runtime.files (1.1), fidoconf-runtime.manpages
	(1.1, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), huskymak.cfg (1.7), libfidoconf0-dev.dirs
	(1.1), libfidoconf0-dev.files (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), libfidoconf0.dirs
	(1.1), libfidoconf0.doc-base (1.1), libfidoconf0.files (1.1), rules
	(1.5): Rebuild the libfidoconf0 package.

2001-06-18 Monday 15:49  ml

	* line.c (1.255): fix parsing denyFwdFile

2001-06-11 Monday 18:34  ml

	* fidoconf.h (1.73), line.c (1.254), tokens.h (1.12), tparser.c
	(1.149), doc/keywords.hpt (1.11): carbonexcludefwdfrom token

2001-06-11 Monday 11:08  ml

	* line.c (1.253), tparser.c (1.148): now it is possoble to make
	spaces before and after searching strings in carboncopy

2001-06-03 Sunday 05:31  ml

	* fidoconf.h (1.72): fixed adding aka to seen-bys for links from
	ignoreseen or -sbign arrays

2001-05-24 Thursday 13:25  ml

	* fidoconf.h (1.71), line.c (1.252), tokens.h (1.11), tparser.c
	(1.147), doc/keywords.hpt (1.10): token fileBox

2001-05-16 Wednesday 10:08  ml

	* fidoconf.h (1.70), line.c (1.250): fixed parsing forwardpkts

2001-05-11 Friday 14:38  wulf.krueger

	* TODO (1.56), fidoconf.h (1.69), line.c (1.249), tokens.h (1.10),
	tparser.c (1.146): 
	Modified Files: 	TODO fidoconf.h line.c tokens.h tparser.c
	-------------------------------------------------------------------
	-- - Implemented keyword "FileFixFSC87Subset" for htick. Not yet
	properly documented since IMHO there have to be major changes
	regarding the whole htick documentation which I will do during the
	next days.

2001-05-07 Monday 22:42  tobi

	* line.c (1.248), syslogp.h (1.1): fixed syslogging for sun

2001-05-07 Monday 22:01  tobi

	* dirlayer.c (1.5): remove warning about empty source file with gcc
	and -pedantic

2001-05-07 Monday 22:01  tobi

	* makefile.bcd (1.11, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): -DNOSEMAPHORES for
	Turbo C

2001-05-06 Sunday 19:52  ml

	* TODO (1.55), tparser.c (1.145): cbaName small fix

2001-05-05 Saturday 21:33  tobi

	* doc/proposal.texi (1.127): updated doc with description of the
	reqidxDir keyword

2001-05-05 Saturday 21:26  tobi

	* fidoconf.h (1.68), line.c (1.247), tokens.h (1.9), tparser.c
	(1.144), doc/Makefile (1.14), doc/proposal.texi (1.126):
	implemented some keywords for herp, in particular    syslogfacility
	(this one may also be used by other husky programs that can use
	syslogd logging in the future) and    reqidxdir herp is the husky
	request processor, which has not yet been released, but will use
	stable fidoconfig when it will be released later-on.

2001-05-05 Saturday 10:12  ml

	* fidoconf.c (1.49), fidoconf.h (1.67), line.c (1.246), tokens.h
	(1.8), tparser.c (1.143), doc/keywords.hpt (1.9): new areafixnames
	token for hpt

2001-05-05 Saturday 08:50  ml

	* fidoconf.h (1.66), line.c (1.245), tokens.h (1.7), tparser.c
	(1.142), doc/keywords.hpt (1.8): new token advisorylock for hpt

2001-05-03 Thursday 19:40  ml

	* fidoconf.c (1.48), line.c (1.244), tparser.c (1.141): patch from
	kees: changed default carbonRule to AND

2001-05-03 Thursday 11:25  ml

	* .cvs2cl (1.1, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release): added .cvs2cl file

2001-04-21 Saturday 15:34  joerg.jaspert

	* debian/control (1.5): Changed priority

2001-04-21 Saturday 15:21  joerg.jaspert

	* debian/: huskymak.cfg (1.6), rules (1.4): Turned debug on

2001-04-21 Saturday 15:19  joerg.jaspert

	* debian/changelog (1.6): Changed it so it compiles now with debug
	enabled. From now on i compile only stable versions without debug.

2001-04-18 Wednesday 21:40  tobi

	* fidoconf.h (1.65), line.c (1.242), tokens.h (1.6),
	doc/keywords.hpt (1.7): ----- cvs ci ------ Wed Apr 18 23:24:50
	CEST 2001 tobi: * new keywords: autofilecreatesubdirs and
	autoareacreatesubdirs	for creating /filebase/gfd/app/comm/
	instead of /filebase/gdb.app.comm/

2001-04-14 Saturday 14:53  joerg.jaspert

	* debian/: changelog (1.5), control (1.4): Changed dependencys,
	newest cvs-fix applied.

2001-04-14 Saturday 12:48  tobi

	* debian/huskymak.cfg (1.5): fixed DEBLFLAGS

2001-04-13 Friday 13:12  joerg.jaspert

	* debian/: changelog (1.4), control (1.3), huskymak.cfg (1.4),
	rules (1.3): Recompiled. Change to smapi-version made it neccessary
	for right Dependencys (I hope apt-get/dselect like it now!)

2001-04-13 Friday 13:11  joerg.jaspert

	* Makefile (1.27): Removed path from symlinks.

2001-04-12 Thursday 11:16  joerg.jaspert

	* debian/: changelog (1.3), huskymak.cfg (1.3), rules (1.2):
	Changed cleantarget in rules. Changed to newest cvs version.

2001-04-12 Thursday 11:15  joerg.jaspert

	* Makefile (1.26): Deleted most of my changes yesterday. They are
	now in debian/rules

2001-04-10 Tuesday 19:55  joerg.jaspert

	* debian/: changelog (1.2), control (1.2), huskymak.cfg (1.2):
	Error in huskymak. *grumpf*

2001-04-10 Tuesday 15:42  joerg.jaspert

	* Makefile (1.25), doc/Makefile (1.13): Debian-specific changes.

2001-04-10 Tuesday 15:42  joerg.jaspert

	* debian/: README.Debian (1.1), changelog (1.1), control (1.1),
	copyright (1.1), docs (1.1), huskymak.cfg (1.1), rules (1.1),
	shlibs (1.1): Files needed for Package-Building on Debian-Systems.

2001-04-08 Sunday 23:13  tobi

	* tparser.c (1.137): fixed crash in tparser

2001-04-05 Thursday 12:07  joerg.jaspert

	* man/: README (1.1, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), dumpfcfg.1 (1.1),
	fconf2.1 (1.1), linkedto.1 (1.1), tparser.1 (1.1): Small manpages
	for the binaries in Fidoconf. Please check for errors.

2001-04-02 Monday 23:05  tobi

	* cfg.c (1.7), fidoconf.c (1.44): fixed out-of-bounds error in
	fidoconf.c and rewrote code in cfg.c to be compatbile with gnu
	boundary checking

2001-03-10 Saturday 22:58  tobi

	* findtok.c (1.2, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), line.c (1.234), makefile.inc (1.11),
	tokens.h (1.1): Rewrote the parser core function parseLine.
	Replaced the endless if/elseif chain with a bsearch lookup and a
	consecutive switch/case construct. This should give a performance
	gain both in terms of compile time as well as in terms of run time.
	 The comments in the new file tokens.h describe how to add new
	keywords to fidoconfig now.

2001-03-09 Friday 11:28  tobi

	* Makefile (1.23), findtok.c (1.1), findtok.h (1.1,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), makefile.inc (1.10): added "findtok.c" and
	"findtok.h"

2001-03-09 Friday 08:10  ml

	* TODO (1.53), common.c (1.65), common.h (1.30): new string2addr()

2001-02-12 Monday 20:55  nestyurkin.nikolay

	* fidoconf.c (1.38): "fix/update"

2001-01-28 Sunday 19:29  d.sergienko

	* Makefile (1.22): 
	Makefile (ldconfig) fixes.

2001-01-27 Saturday 16:32  ml

	* common.c (1.63), fidoconf.h (1.53), line.c (1.221), tparser.c
	(1.125), doc/proposal.texi (1.113): new tokens

2001-01-20 Saturday 15:54  ml

	* fidoconf.h (1.51), line.c (1.219), tparser.c (1.123),
	doc/proposal.texi (1.111): new feature

2001-01-15 Monday 16:00  ml

	* common.c (1.62), fidoconf.c (1.35), fidoconf.h (1.50), line.c
	(1.218), tparser.c (1.122), doc/proposal.texi (1.110): new features

2001-01-15 Monday 08:31  ml

	* TODO (1.45), fidoconf.h (1.49), line.c (1.217), tparser.c
	(1.121), doc/proposal.texi (1.109): new features

2001-01-03 Wednesday 15:44  sms

	* doc/fidoconfig.texi (1.15): - fixed some typos in the docs

2000-12-25 Monday 17:18  d.sergienko

	* Makefile (1.21), tparser.c (1.120): 
	Mon Dec 25 19:15:50 EET 2000 dmitry: + added processing of tokens
	packNetmail & maxUnpackedNetmail in tparser

2000-12-13 Wednesday 21:10  sms

	* line.c (1.215): removed uninitialised-warning for clink in
	parseLine()

2000-12-13 Wednesday 18:35  sms

	* line.c (1.214): + support for long area descriptions

2000-12-12 Tuesday 14:41  sms

	* line.c (1.213), tparser.c (1.119): removed warnings about flDir
	not being handled in switch

2000-12-09 Saturday 06:26  d.sergienko

	* doc/proposal.texi (1.107): 
	dmitry: + added docs about tokens packNetmail and
	maxUnpackedNetmail for bsopack

2000-12-08 Friday 04:41  sms

	* common.c (1.61): * string2addr: check if string is non-NULL first

2000-12-08 Friday 02:40  sms

	* tparser.c (1.115): fixed typo in tparser.c

2000-12-08 Friday 01:21  sms

	* fidoconf.c (1.33), fidoconf.h (1.47), line.c (1.210), tparser.c
	(1.114), doc/proposal.texi (1.106): + added dirlist option to
	keyword filelist

2000-12-07 Thursday 22:22  sms

	* common.c (1.60), common.h (1.29), fidoconf.c (1.32), fidoconf.h
	(1.46), line.c (1.209), tparser.c (1.113), doc/proposal.texi
	(1.105): + added keyword filelist

2000-12-07 Thursday 21:12  sms

	* common.c (1.59): * fixed memory hole in freeLink

2000-12-05 Tuesday 15:01  sms

	* TODO (1.44): + dumping fileareas and bbsareas

2000-12-05 Tuesday 03:18  sms

	* fidoconf.h (1.45), line.c (1.208), tparser.c (1.112): ! replaced
	most stricmp-calls with strcmp-calls on the lower case variant	 of
	the variable (parsing should be significantly faster now) ! using
	enum for linkWithImportLog instead of strings

2000-12-05 Tuesday 01:48  sms

	* fidoconf.h (1.44), line.c (1.207), tparser.c (1.111),
	doc/proposal.texi (1.104): + added emailSubj, emailFrom,
	emailEncoding

2000-12-03 Sunday 17:59  sms

	* Makefile (1.20), doc/Makefile (1.11): using RMOPT from
	huskymak.cfg

2000-12-02 Saturday 02:00  sms

	* line.c (1.206): fixed error message for commentChar, fixed
	commentChar output in dump.c

2000-12-02 Saturday 01:28  sms

	* fidoconf.c (1.31): using strdup for string constants on init, so
	copyString can free it safely

2000-11-30 Thursday 09:22  ml

	* cfg.c (1.6), common.c (1.58), common.h (1.28), fidoconf.c (1.30),
	line.c (1.205): see changelog 30-nov-2000

2000-11-15 Wednesday 18:25  sms

	* doc/proposal.texi (1.103): linkgrp only takes a single group as
	argument

2000-11-14 Tuesday 17:19  ml

	* tparser.c (1.109): addrDiffAlways in tparser

2000-11-13 Monday 19:11  ml

	* line.c (1.202): excludepassthroughcarbon fix

2000-11-12 Sunday 10:52  ml

	* common.c (1.56), common.h (1.26), line.c (1.201),
	doc/proposal.texi (1.102): see ChangeLog Nov 12

2000-11-08 Wednesday 18:35  ml

	* line.c (1.200), doc/proposal.texi (1.101): see ChangeLog Nov 09

2000-10-28 Saturday 17:38  ml

	* line.c (1.199): see changelog oct 29

2000-10-27 Friday 19:52  mhaase

	* tparser.c (1.108): * added entry in changelog (hpt and fidoconf)
	and tparser for statlog

2000-10-26 Thursday 18:26  mhaase

	* fidoconf.c (1.27), fidoconf.h (1.42), line.c (1.198),
	doc/proposal.texi (1.100): * New optional keyword: statlog   After
	tossing (hpt toss), it is checked if there is new personal mail  
	(netmail or personal echo mail). If that's true, it is checked if  
	statlog is defined in config. If yes, then it is checked if the log
	file   exists. If not, then it is created and the number of
	received netmails   or/and personal echo mails is written to the
	log file. Otherwise, if the   file exists, the old counter will be
	read, added to the new counter and   written the actual counter.   
	The log file looks like this:	  netmail: x	 CC: x	  Whereas x
	is the number of mails.    If the log file exists, one of the two
	or both lines exist.
	
	  This is for utils, which can show you how many personal mail you
	got.
	  The log file is not removed by hpt, only by the util that uses
	it.
	  Or you could write in your toss script something like this:
	   if exist stat.log type stat.log
	   if exist stat.log del stat.log>nul

2000-10-26 Thursday 17:45  ml

	* TODO (1.43), fidoconf.h (1.41), line.c (1.197): add tokens
	maxUnpackedNetmail, packNetmail for bsopack

2000-10-22 Sunday 09:11  ml

	* line.c (1.196): see ChangeLog Oct 22

2000-10-21 Saturday 16:17  ml

	* common.c (1.55), line.c (1.195): see ChangeLog Oct 21

2000-10-16 Monday 14:43  ml

	* fidoconf.h (1.40), line.c (1.194), tparser.c (1.107),
	doc/proposal.texi (1.99): see ChangeLog Oct 16

2000-10-15 Sunday 12:17  ml

	* makefile.emo (1.12, fidoconf-0_14-release): see ChangeLog Oct 15

2000-10-15 Sunday 08:04  ml

	* line.c (1.193): exit(1) when link Error

2000-10-09 Monday 17:36  tobi

	* fecfg146.c (1.3, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): fix for fastecho
	routines

2000-10-09 Monday 10:25  ml

	* fecfg146.h (1.4, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release), fidoconf.c (1.26):
	bugfix for last patch from yesterday

2000-10-08 Sunday 18:35  ml

	* fidoconf.c (1.25), line.c (1.192): long passwds

2000-10-07 Saturday 14:55  tobi

	* Makefile (1.19), fecfg146.c (1.1), fecfg146.h (1.3), fecfg2fc.c
	(1.2), makefile.inc (1.9), makefile.wco (1.18,
	fidoconf-0_14-release), makefile.wcw (1.25): * fecfg2fconf is now
	platform independent * -> included fecfg2fconf into standard
	makefile.

2000-09-27 Wednesday 13:26  ml

	* fidoconf.c (1.24), fidoconf.h (1.39), line.c (1.191), tparser.c
	(1.106), doc/proposal.texi (1.98): robotsArea

2000-09-25 Monday 17:26  ml

	* fidoconf.h (1.38), line.c (1.190), tparser.c (1.105),
	doc/proposal.texi (1.97): addrDiffAlways

2000-09-24 Sunday 10:44  ml

	* tparser.c (1.104): tparser dumb checks

2000-09-23 Saturday 14:22  ml

	* fidoconf.c (1.23), fidoconf.h (1.37), line.c (1.189), tparser.c
	(1.103), doc/proposal.texi (1.96): see ChangeLog Sep 23

2000-09-15 Friday 08:45  ml

	* TODO (1.42), fidoconf.c (1.22), fidoconf.h (1.36), line.c
	(1.188): choose right link for filearea

2000-09-08 Friday 17:52  ml

	* doc/proposal.texi (1.95): dump.c update

2000-09-08 Friday 14:56  ml

	* cfg.c (1.5): includes fix

2000-09-02 Saturday 13:54  ml

	* common.c (1.54), fidoconf.h (1.35), line.c (1.187), tparser.c
	(1.102), doc/proposal.texi (1.94): see changelog Sep 02

2000-08-29 Tuesday 15:58  ml

	* TODO (1.41), tparser.c (1.101): see ChangeLog Aug 29

2000-08-27 Sunday 14:29  ml

	* fidoconf.h (1.34), line.c (1.186), tparser.c (1.100),
	doc/proposal.texi (1.93): see changelog Aug 27

2000-08-27 Sunday 14:19  sms

	* Makefile (1.17), Makefile (1.18): fixed missing TAB

2000-08-27 Sunday 14:16  sms

	* Makefile (1.16): using seperate make process for programs because
	ranlib changes libfidoconfig.a

2000-08-27 Sunday 13:15  sms

	* Makefile (1.15): removed ranlib run from install target
	(conflicted with installing from NFS homedirs)

2000-08-25 Friday 06:16  ml

	* TODO (1.40), fidoconf.h (1.33), line.c (1.185), doc/proposal.texi
	(1.92): see changelog Aug 25

2000-08-24 Thursday 10:16  sms

	* doc/Makefile (1.10): fixed missing targets if xxxDIR not defined

2000-08-21 Monday 22:51  sms

	* Makefile (1.14), doc/Makefile (1.9): added documentation to
	target all

2000-08-21 Monday 22:23  sms

	* doc/: Makefile (1.7), Makefile (1.8): fixed missing ifdef INFODIR

2000-08-21 Monday 13:15  sms

	* Makefile (1.13), doc/Makefile (1.6): added target uninstall

2000-08-21 Monday 11:18  sms

	* Makefile (1.12): always calling clean/distclean in doc subdir,
	not only if INFODIR defined

2000-08-15 Tuesday 10:46  sms

	* cfg.c (1.4), fidoconf.h (1.32): renamed var to name in get/setvar
	because var is a protected keyword in Pascal

2000-08-10 Thursday 22:55  tobi

	* fidoconf.h (1.31), line.c (1.184), tparser.c (1.97): introduced
	"points4d" nodelist format type

2000-08-06 Sunday 23:24  tobi

	* Makefile (1.11): beos adaptions

2000-08-06 Sunday 19:46  tobi

	* makefile.be (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): fixed UNIXID for
	BE makefile

2000-07-27 Thursday 11:28  ml

	* cfg.c (1.1): cfg.c

2000-07-20 Thursday 21:11  tobi

	* makefile.wcw (1.24): fixed wcw makefile

2000-07-19 Wednesday 23:31  tobi

	* doc/makefile.os2 (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): fixed os/2 docs
	makefile

2000-07-13 Thursday 22:55  tobi

	* VERSION (1.1): file VERSION was initially added on branch
	fidoconf-0_10.

2000-07-07 Friday 21:49  tobi

	* makefile.mgw (1.5, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Adapted MINGW32
	code to the latest mingw32 version available at www.mingw.org.

2000-07-07 Friday 01:15  tobi

	* makefile.wco (1.17): migrated fix from -stable

2000-07-06 Thursday 23:57  tobi

	* typesize.h (1.18): Mingw32 fix

2000-07-05 Wednesday 19:56  tobi

	* tlib_sup.bat (1.4, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release): Re-added
	tlib_sup.bat

2000-06-27 Tuesday 23:21  nestyurkin.nikolay

	* makefile.wco (1.16), makefile.wcw (1.23): update

2000-06-22 Thursday 11:43  nestyurkin.nikolay

	* makefile.inc (1.7), makefile.wco (1.15), makefile.wcw (1.22):
	changed Watcom makefiles to use makefile.inc

2000-06-21 Wednesday 13:49  nestyurkin.nikolay

	* makefile.inc (1.6): fix

2000-06-20 Tuesday 21:23  nestyurkin.nikolay

	* makefile.inc (1.5): fix

2000-06-20 Tuesday 20:26  nestyurkin.nikolay

	* makefile.wco (1.14), makefile.wcw (1.21): fix

2000-06-20 Tuesday 19:25  nestyurkin.nikolay

	* makefile.wco (1.13), makefile.wcw (1.20): fix

2000-06-08 Thursday 17:22  tobi

	* typesize.h (1.16): Fixes to make fidoconfig work on HPUX

2000-05-23 Tuesday 22:10  mt

	* fidoInst (1.6, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release): fixed fidoInst

2000-05-23 Tuesday 16:51  tobi

	* doc/Makefile (1.4): fixed doc makefile

2000-05-22 Monday 12:54  mt

	* makefile.inc (1.3), doc/config (1.14, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release),
	doc/fidoconfig.texi (1.14, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release): changed version
	number

2000-05-20 Saturday 01:24  sms

	* fidoconf.h (1.13): replaced host = 1 by route_zero, host because
	gpc does not support it

2000-05-20 Saturday 01:21  sms

	* fidoconf.h (1.12): renamed forward to _forward to because forward
	a reserved name in pascal

2000-05-20 Saturday 01:13  sms

	* fidoconf.h (1.11): removed no longer necessary #ifndef PASCAL

2000-05-20 Saturday 00:58  sms

	* fidoconf.h (1.10): changed FPC to PASCAL

2000-05-18 Thursday 15:50  sms

	* doc/Makefile (1.3): deactivated proposal in Makefile

2000-05-18 Thursday 15:44  sms

	* doc/Makefile (1.2): added proposal to Makefile

2000-05-17 Wednesday 18:30  sms

	* common.h (1.23), fidoconf.c (1.9), line.c (1.155): fixed double
	deallocation of viaStr in new routing code

2000-05-17 Wednesday 07:30  sms

	* TODO (1.27), line.c (1.153): using direxist() from smapi instead
	of readdir in parsePath()

2000-05-15 Monday 21:31  sms

	* TODO (1.25): updated dump.c

2000-05-15 Monday 20:50  sms

	* TODO (1.24): updated TODO

2000-04-24 Monday 18:32  sms

	* doc/: Makefile (1.1), makefile.lnx (1.1, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release): renamed makefile
	to makefile.lnx and makefile.husky to Makefile

2000-04-24 Monday 16:12  sms

	* Makefile (1.3): installing linkedto with include-opts. Its a
	script, not an elf binary!!!

2000-04-21 Friday 11:14  sms

	* Makefile (1.1): renamed makefile.husky to Makefile

2000-04-20 Thursday 22:51  nestyurkin.nikolay

	* fidoconf.h (1.4): bugfix prev. fix

2000-04-17 Monday 12:37  sms

	* TODO (1.22): updated TODO

2000-04-16 Sunday 17:17  tobi

	* makefile.mgw (1.4): fixed makefile.mgw. oops!

2000-04-16 Sunday 16:05  tobi

	* makefile.bsd (1.13), makefile.in2 (1.1), makefile.lnx (1.47,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release), makefile.sun (1.11) (utags:
	fidoconf-0_10a-release, fidoconf-0_10b-release,
	fidoconf-0_10c-release): legacy makefile fixes

2000-04-16 Sunday 14:29  tobi

	* makefile.emo (1.10): legacy makefile fixes

2000-04-16 Sunday 14:12  tobi

	* makefile.bcd (1.9), makefile.rxw (1.4, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release): makefile fixes

2000-04-15 Saturday 23:20  nestyurkin.nikolay

	* makefile.wco (1.11), makefile.wcw (1.18): fix for watcom

2000-04-15 Saturday 20:15  tobi

	* fc2aed.c (1.3), fidoconf.h (1.2): small compilation fixes

2000-04-15 Saturday 17:43  tobi

	* fc2aed.c (1.2): renamed to 8.3

2000-04-15 Saturday 17:42  tobi

	* common.c (1.42), common.h (1.20), fc2aed.c (1.1), fc2fgate.c
	(1.1), fc2ged.c (1.1), fc2msged.c (1.1), fc2sq.c (1.1), fecfg2fc.c
	(1.1, fidoconf-0_10a-release), fidoconf.c (1.1), fidoconf.h (1.1),
	line.c (1.145), makefile.inc (1.2), makefile.mgw (1.3),
	makefile.wco (1.10), makefile.wcw (1.17), tparser.c (1.77): renamed
	everything to 8.3

2000-04-15 Saturday 17:16  tobi

	* makefile.bcd (1.8), makefile.bco (1.4, fidoconf-0_14-release,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), makefile.bcw (1.8,
	fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release), makefile.djg (1.8,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), makefile.emo (1.9), makefile.emx (1.6,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), makefile.ibo (1.7, fidoconf-0_14-release,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), makefile.inc (1.1), makefile.lnx (1.46),
	makefile.rxw (1.3), makefile.unx (1.3, fidoconf-0_14-release,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release): Renamed common makefile to makefile.inc

2000-04-15 Saturday 10:18  nestyurkin.nikolay

	* line.c (1.144): disableTID small fix

2000-04-14 Friday 12:02  nestyurkin.nikolay

	* makefile.wcw (1.16), makefile.wco (1.9): -zp=1 remove

2000-04-14 Friday 11:56  nestyurkin.nikolay

	* makefile.wcw (1.15): -zp=1 remove

2000-04-12 Wednesday 22:39  tobi

	* makefile.rxw (1.2): added -Zsys

2000-04-12 Wednesday 22:35  tobi

	* makefile.rxw (1.1), typesize.h (1.14): rsxnt makefile added

2000-04-12 Wednesday 22:32  tobi

	* typesize.h (1.13): fix for rsxnt

2000-04-12 Wednesday 20:36  tobi

	* makefile.wco (1.8), makefile.wcw (1.14): Watcom C makefile
	changes

2000-04-12 Wednesday 20:36  tobi

	* dirlayer.h (1.2): Borland C fix

2000-04-12 Wednesday 15:05  tobi

	* makefile.bcd (1.7), makefile.bco (1.3), makefile.bcw (1.7),
	makefile.ibo (1.6), tlib_sup.bat (1.2): legacy makefile things

2000-04-11 Tuesday 09:48  tobi

	* common.c (1.41): fixed data corruption

2000-04-11 Tuesday 09:15  tobi

	* makefile.lnx (1.45): fixed linux os id

2000-04-10 Monday 17:49  tobi

	* makefile.lnx (1.44): fix for solaris

2000-04-10 Monday 14:40  sms

	* line.c (1.142), tparser.c (1.74): some changes to fidoconfig.h
	and affected files needed to automatically convert fidoconfig.h to
	fidoconf.pas with h2pas

2000-04-09 Sunday 22:35  tobi

	* line.c (1.141): some magic line shuffling for IBM C

2000-04-09 Sunday 22:19  tobi

	* common.c (1.40): Fix for IBM C

2000-04-09 Sunday 20:49  tobi

	* makefile.djg (1.7), makefile.emo (1.8), makefile.emx (1.5): djgpp
	fixes

2000-04-09 Sunday 19:12  tobi

	* makefile.emo (1.7), makefile.emx (1.4), makefile.lnx (1.43),
	makefile.unx (1.2): worked on the unixish makefiles

2000-04-09 Sunday 18:51  tobi

	* makefile.aix (1.10, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release), makefile.bcd
	(1.6), makefile.bco (1.2), makefile.bcw (1.6), makefile.bsd (1.12),
	makefile.lnx (1.42), makefile.sun (1.10), makefile.unx (1.1):
	legacy makefile stuff

2000-04-09 Sunday 18:06  tobi

	* makefile.bco (1.1): added borland c OS/2 makefile

2000-04-09 Sunday 18:05  tobi

	* adcase.c (1.6, fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), common.c (1.39), line.c (1.140),
	makefile.bcd (1.5), makefile.bcw (1.5), makefile.lnx (1.41),
	tparser.c (1.73): mostly borland c fixes (warnings removed etc.)

2000-04-09 Sunday 17:03  tobi

	* makefile.bcw (1.4): legacy makefile

2000-04-09 Sunday 17:00  tobi

	* makefile.aix (1.9): no support for aix any more

2000-04-09 Sunday 16:58  tobi

	* tlib_sup.bat (1.1): add batch file for using makefile.common with
	borland c

2000-04-09 Sunday 16:31  tobi

	* line.c (1.138), makefile.bcd (1.4): Borland C fixes

2000-04-07 Friday 06:47  tobi

	* makefile.emo (1.6), makefile.emx (1.3): Legacy makefile fixes

2000-04-07 Friday 06:47  tobi

	* fecfg146.h (1.2, fidoconf-0_10a-release): Removed warnings.

2000-04-05 Wednesday 03:15  nestyurkin.nikolay

	* common.h (1.18): Fixes to compile with C++

2000-03-30 Thursday 14:48  tobi

	* doc/: fidoconfig.texi (1.13), proposal.texi (1.64):
	makefile.husky now builds and installs the texinfo documentation if
	INFODIR is set.

2000-03-13 Monday 22:46  sms

	* makefile.aix (1.8), makefile.lnx (1.40), makefile.sun (1.8),
	makefile.wcw (1.11): updated legacy makefiles

2000-03-09 Thursday 16:27  sms

	* common.c (1.36), line.c (1.129): moved smapi and fidoconfig
	headers to INCDIR/smapi and INCDIR/fidoconfig

2000-03-05 Sunday 20:30  tobi

	* makefile.lnx (1.39): Fixed missing TAB

2000-03-02 Thursday 08:23  mt

	* doc/proposal.texi (1.57): made it working again :-(

2000-02-25 Friday 19:41  henk-jan.krueger

	* tparser.c (1.67): no message

2000-02-25 Friday 19:35  henk-jan.krueger

	* tparser.c (1.66), doc/proposal.texi (1.56): CVS: * Added config
	keyword noTIC to tparser & docs

2000-02-22 Tuesday 08:45  edi

	* .cvsignore (1.2, fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release), fidoconf.pas (1.7), line.c (1.126),
	tparser.c (1.64), doc/proposal.texi (1.55): 
	edi: * new token `allowPktAddrDiffer' - for hpt * manual updated
	for token `allowPktAddrDiffer'

2000-02-10 Thursday 08:24  sms

	* makefile.lnx (1.38): added ldconfig to makefile.husky and
	makefile.lnx of smapi and fidoconfig

2000-02-09 Wednesday 07:33  sms

	* TODO (1.15): Updated TODO

2000-02-01 Tuesday 18:43  simon.soltek

	* doc/proposal.texi (1.50): new keywords: noCRC in filearea
	section, noTIC in link section

2000-02-01 Tuesday 18:42  simon.soltek

	* line.c (1.118): new keywords: noTIC in link section, noCRC in
	filearea section

2000-01-28 Friday 20:42  sms

	* line.c (1.114), tparser.c (1.58): changed groups from chars to
	strings

2000-01-28 Friday 13:57  sms

	* makefile.lnx (1.36): removed huskymak.cfg dependency from
	makefile.lnx, created/updated makefile.husky for pascal programs

2000-01-27 Thursday 17:56  mt

	* line.c (1.113), doc/proposal.texi (1.47): patch by Alex Semyanka

2000-01-21 Friday 23:38  tobi

	* linkedto (1.3): improved linkedto srcipt (now also searches
	include files, and finds   exact matches), patch by Eduard Dulich

2000-01-16 Sunday 13:10  sms

	* INSTALL (1.12, fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release): * added warning if dupeHistoryDir is not
	set * added "-I../smapi" to husky.lnx

1999-12-20 Monday 08:56  mt

	* doc/proposal.texi (1.45): fixed doku

1999-12-15 Wednesday 14:09  tobi

	* doc/proposal.texi (1.44): Added docs for fileechoflavour

1999-12-13 Monday 19:55  mt

	* fconf2areasbbs (1.1, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release): added
	fconf2areabbs

1999-12-08 Wednesday 10:11  mt

	* fidoInst (1.5): new fidoInst

1999-12-06 Monday 13:43  tobi

	* dirlayer.c (1.1), dirlayer.h (1.1), line.c (1.106), makefile.aix
	(1.6), makefile.bcd (1.3), makefile.bcw (1.3), makefile.bsd (1.10),
	makefile.emo (1.5), makefile.emx (1.2), makefile.ibo (1.5),
	makefile.lnx (1.31), makefile.mgw (1.2), makefile.sun (1.3),
	makefile.wco (1.7), makefile.wcw (1.8): Renamed dir.* to dirlayer.*
	and fixed makefiles

1999-12-01 Wednesday 08:35  mt

	* common.c (1.33), common.h (1.15), line.c (1.105): all
	echoareanames are converted to lowercase now during reading

1999-11-29 Monday 00:04  sms

	* line.c (1.104): removed debug output in line.c :)

1999-11-29 Monday 00:03  sms

	* common.c (1.32), line.c (1.103), makefile.lnx (1.30): another
	bugfix for string2addr: missing backslash before 0

1999-11-28 Sunday 23:32  sms

	* common.c (1.31): fixed some misuses of ++ in common.c

1999-11-28 Sunday 22:52  sms

	* adcase.c (1.5): fixed trashed line 422 in adcase.c

1999-11-28 Sunday 12:07  tobi

	* makefile.djg (1.5): Fixes for building with DJGPP

1999-11-28 Sunday 11:50  tobi

	* makefile.emx (1.1), makefile.mgw (1.1): new makefiles

1999-11-28 Sunday 00:40  tobi

	* typesize.h (1.11): Portability fixes

1999-11-27 Saturday 23:43  tobi

	* common.c (1.30): fixed data corruption

1999-11-27 Saturday 23:14  tobi

	* line.c (1.102): Removed dependency on fexist.c from fidoconfig.

1999-11-27 Saturday 23:01  tobi

	* common.c (1.29): Removed carriage returns

1999-11-27 Saturday 12:22  tobi

	* line.c (1.101): Fix for Borland C (workaround ...)

1999-11-27 Saturday 12:14  tobi

	* adcase.c (1.4), makefile.bcw (1.2): Small fixes

1999-11-27 Saturday 11:29  tobi

	* makefile.bcw (1.1), typesize.h (1.10): Makefile for Borland C for
	Windows

1999-10-28 Thursday 11:29  mt

	* doc/proposal.texi (1.41): docu fixes

1999-10-28 Thursday 10:50  mt

	* line.c (1.100), tparser.c (1.54), doc/proposal.texi (1.40): added
	email

1999-10-25 Monday 08:54  mt

	* fidoInst (1.4), line.c (1.99): bugfix for missing address after
	-a, and some pointer changes

1999-10-24 Sunday 23:12  sms

	* fidoconf.pas (1.5): updated fidoconf.pas (carbon copies and
	multiple netmail areas)

1999-10-15 Friday 11:09  tobi

	* makefile.bsd (1.9): More JAM support.

1999-10-14 Thursday 16:08  sms

	* makefile.aix (1.5), makefile.bsd (1.8), makefile.djg (1.4),
	makefile.emo (1.3), makefile.ibo (1.3), makefile.lnx (1.28),
	makefile.sun (1.2), makefile.wco (1.5), makefile.wcw (1.6),
	makefile.bcd (1.1): reorganized Makefiles, read
	husky-common/README.Makefiles \!\!\!

1999-10-12 Tuesday 18:35  tobi

	* adcase.c (1.3): fix for OS/2

1999-10-11 Monday 17:55  tobi

	* adcase.c (1.2), adcase.h (1.2, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release): Added a cash
	expiry routine for adaptcase.

1999-10-09 Saturday 21:16  tobi

	* common.c (1.26), line.c (1.95), typesize.h (1.9): Compatibility
	changes for Borland C

1999-10-09 Saturday 20:54  tobi

	* typesize.h (1.8): Fixed typesize.h for Linux/alpha

1999-10-08 Friday 14:28  tobi

	* fidoconf.pas (1.4), line.c (1.94), tparser.c (1.52),
	doc/proposal.texi (1.38): added nodelist specific keywords for the
	new nltools project   fidouserlist   nodelist	diffupdate  
	fullupdate   defaultzone   nodelistformat

1999-09-30 Thursday 11:30  tobi

	* adcase.c (1.1), adcase.h (1.1), makefile.emo (1.2), makefile.ibo
	(1.2), makefile.lnx (1.27), makefile.wco (1.4), makefile.wcw (1.5):
	Added adaptive case matching routines for UNIX

1999-09-25 Saturday 22:12  mt

	* INSTALL (1.11): fidoconfig release

1999-09-24 Friday 09:57  mt

	* doc/: config (1.13), proposal.texi (1.37): bugfix

1999-09-23 Thursday 03:16  sms

	* doc/proposal.texi (1.36): updated description for password

1999-09-15 Wednesday 19:34  mt

	* makefile.lnx (1.26), doc/config (1.12): new example config

1999-09-15 Wednesday 13:31  mt

	* makefile.sun (1.1): sun makefile and dumpCfg

1999-09-10 Friday 23:58  sms

	* fidoconf.pas (1.3), line.c (1.91), tparser.c (1.49): added
	sessionPwd

1999-09-07 Tuesday 14:02  tobi

	* doc/proposal.texi (1.34): Fixed doc: The keyword is
	autoareacreatefile, not autocreatefile!

1999-09-01 Wednesday 22:16  sms

	* .cvsignore (1.1): added .cvsignore

1999-09-01 Wednesday 22:15  sms

	* fidoconf.pas (1.2), line.c (1.90), makefile.aix (1.4),
	makefile.bsd (1.7), makefile.djg (1.3), makefile.lnx (1.24),
	tparser.c (1.48): Added the following keywords:
	
	ticOutbound semaDir badFilesDir areafixKillRequests
	filefixKillReports filefixKillRequests fileAreasLog fileNewAreasLog
	longNameList fileArcList filePassList fileDupeList msgidfile
	createDirs longDirNames splitDirs addDLC fileSingleDescLine
	fileCheckDest fileDescPos DLCDigits fileMaxDupeAge fileFileUMask
	fileDirUMask fileLocalPwd fileLDescString

1999-08-31 Tuesday 23:15  sms

	* fidoconf.pas (1.1): added pascal unit fidoconf.pas

1999-08-25 Wednesday 21:42  sms

	* makefile.lnx (1.23): sms: + did some work on dumpcfg.c + changes
	LOPT in makefile.lnx

1999-08-13 Friday 12:39  tobi

	* line.c (1.84), tparser.c (1.44): Purely aesthetic changes.

1999-08-12 Thursday 10:49  tobi

	* line.c (1.82), tparser.c (1.43), doc/proposal.texi (1.27):
	Implemented fidoconfig part of the "allowEmptyPktPwd" feature. 
	Attention: You must rebuild your applications, the link structure
	has changed!

1999-08-12 Thursday 00:29  sms

	* makefile.lnx (1.20): sms: + did some work on dump.c

1999-08-11 Wednesday 17:02  sms

	* INSTALL (1.10), TODO (1.8): sms: + did some work on dump.c +
	added dumpfcfg.c (simply calls dumpConfig())

1999-08-03 Tuesday 11:29  georgi

	* line.c (1.79): support -lr and -lw in filearea options

1999-08-02 Monday 13:27  georgi

	* tparser.c (1.40): printBbsArea

1999-08-02 Monday 13:24  georgi

	* line.c (1.78): parseBbsArea

1999-07-29 Thursday 09:00  mt

	* tparser.c (1.39): logechotoscreen added to tparser

1999-07-21 Wednesday 06:57  georgi

	* line.c (1.77), tparser.c (1.38): support Passthrough fileareas

1999-07-12 Monday 14:14  mt

	* line.c (1.76): further work

1999-07-09 Friday 21:58  mt

	* common.c (1.22), common.h (1.11): started working on dumpConfig
	code

1999-06-24 Thursday 17:07  mt

	* tparser.c (1.37): fixed tparser

1999-06-23 Wednesday 19:05  mt

	* doc/fidoconfig.texi (1.12): version updated bugfix for dupe.c

1999-06-07 Monday 20:05  mt

	* line.c (1.71): null pointer patches

1999-06-07 Monday 17:20  mt

	* line.c (1.70), makefile.lnx (1.17), tparser.c (1.32): post
	patches

1999-05-30 Sunday 23:00  mt

	* line.c (1.69): bug fixed twice

1999-05-30 Sunday 21:40  mt

	* line.c (1.68): fixed a bug with the .0 code

1999-05-18 Tuesday 17:21  mt

	* doc/makefile.os2 (1.1): forgot to add makefile.os2

1999-05-18 Tuesday 17:21  mt

	* line.c (1.66), makefile.aix (1.3), makefile.bsd (1.6),
	makefile.djg (1.2), makefile.lnx (1.16): update

1999-05-16 Sunday 23:23  mt

	* fidoInst (1.3): updates

1999-05-11 Tuesday 21:26  mt

	* TODO (1.7), line.c (1.65), doc/fidoconfig.texi (1.11): kolya
	patches

1999-04-23 Friday 09:36  mt

	* tparser.c (1.29): some null pointer fixes

1999-04-18 Sunday 20:51  mt

	* doc/: config (1.11), proposal.texi (1.23): docu fixes

1999-04-14 Wednesday 20:43  mt

	* TODO (1.6), line.c (1.63): fixed some fidoconfig parsing code

1999-04-10 Saturday 21:45  antonio.perez

	* line.c (1.62), tparser.c (1.28): Antonio: + fidoconfig now
	supports descriptions for FileAreas.  + update tparser.

1999-04-09 Friday 08:54  mt

	* doc/proposal.texi (1.18): patches from antonio

1999-04-08 Thursday 15:25  mt

	* line.c (1.60), tparser.c (1.27), doc/proposal.texi (1.17): new
	patches by antonio

1999-04-06 Tuesday 20:38  mt

	* INSTALL (1.9), line.c (1.59), doc/proposal.texi (1.16): applied
	antonios patches

1999-03-08 Monday 11:48  ml

	* line.c (1.53): Max: - fixed a bug when found unknown link in
	echoarea

1999-03-07 Sunday 18:31  ml

	* line.c (1.52), tparser.c (1.22): change echo access policy (see
	docs) by Fedor Lizunkov 2:5020/960

1999-03-04 Thursday 17:23  mt

	* doc/fidoconfig.texi (1.10): fixed version number

1999-03-03 Wednesday 22:57  mt

	* line.c (1.51), doc/fidoconfig.texi (1.9): applied max patch

1999-03-01 Monday 22:19  gabriel

	* line.c (1.50): Mon, Mar 1 22:00   Gabriel Plutzar + included new
	keywords & features needed by Husky Tick:   * FileAreaBaseDir
	<directory>	Where the directories for all File areas shall be
	made at autocreate     Same as MsgBaseDir   *
	AutoFileCreateDefaults <string>     Defaults for File Area
	Autocreate   * FileFixHelp <file>     Help file for FileFix  (Same
	as AreaFixHelp for AreaFix)   * FileArea <name> <fileareapath>
	<uplink> [options] <downlinks>	   Same as EchoArea, most options
	are valid + included generic new keyword fpr HPT & HTICK   *
	LogLevels <string>     You can specify all Loglevels you want in
	your log     Default is 123456789, use 23456789 if you don't want
	all the IDLE	 sessions in your logfile (eg when you start hpt
	once a minute) - Minor Bugfixes

1999-03-01 Monday 18:58  mt

	* line.c (1.49), makefile.djg (1.1), tparser.c (1.21), typesize.h
	(1.6) (utags: fidoconfig-0_6): djgpp port

1999-02-25 Thursday 22:02  gabriel

	* fconf2fidogate.cfg.sample (1.2, fidoconf-0_14_3-release,
	fidoconf-0_14_2-release, fidoconf-0_14-release,
	fidoconf-0_10c-release, fidoconf-0_10b-release,
	fidoconf-0_10a-release, fidoconfig-0_6): + Added patimat to
	fconf2fidogate for better config-file interpretation

1999-02-21 Sunday 17:06  gabriel

	* makefile.lnx (1.15, fidoconfig-0_6): Gabriel Plutzar	  Little
	Change in makefile.lnx to supress strip error message when   
	installing the linkedto script

1999-02-20 Saturday 20:20  tobi

	* doc/proposal.texi (1.15, fidoconfig-0_6): + Wrote documentation
	for the packet forwarding feature.  - Removed some things from the
	link structure that I did not need any	 longer for the PKT
	forwarder.

1999-02-20 Saturday 18:37  tobi

	* common.c (1.18, fidoconfig-0_6): Fixed a silly bug in move_file.

1999-02-20 Saturday 18:26  tobi

	* common.c (1.17), common.h (1.9, fidoconfig-0_6): Added the
	"move_file" routine. Use it instead of rename for moving files if
	the possibility exists that the move will be across file system
	boundaries.

1999-02-17 Wednesday 20:53  gabriel

	* linkedto (1.1, fidoconfig-0_6), makefile.lnx (1.14): A little
	Shell script added, which shows you to which Areas a link of you is
	connected

1999-02-17 Wednesday 20:21  gabriel

	* line.c (1.48): Wed Feb 17 20:07:00 CET 1999	Gabriel Plutzar: -
	added a new remap statment. It takes the parameters  
	ToName,OldAddr,NewAddr, seperated by commas. ToName or OldAddr may
	be *.	 If a Netmail meets the ToName and OldAddr Criteria, it is
	sent to NewAddr.

1999-02-16 Tuesday 18:10  gabriel

	* line.c (1.47): Gabriel Plutzar:   I added a new keyword
	availableareas, which expects a filename. This	 file should
	contain a list of all forwardable Areas. It is used by	 the %avail
	areafix command

1999-02-15 Monday 19:27  mt

	* makefile.lnx (1.13): fixed makefile.lnx

1999-02-15 Monday 19:22  mt

	* TODO (1.5, fidoconfig-0_6), line.c (1.46), tparser.c (1.20),
	doc/proposal.texi (1.14): applied readLine patch, applied max
	patch, added forwardPkts and autoCreateFile

1999-02-14 Sunday 13:15  mt

	* fconf2fidogate.cfg.sample (1.1): added patches and new
	fconf2fidogate

1999-02-12 Friday 14:14  tobi

	* common.c (1.16), makefile.bsd (1.5, fidoconfig-0_6): Revised the
	makeUniqueDosFileName function. It now is totally unique over the
	whole epoch and much more different for different origin AKAs.

1999-02-11 Thursday 19:42  tobi

	* common.c (1.15), common.h (1.8): Changed the makeUnique
	DosFileName procedure to add a node specific offset to the pkt
	numbers in order to try to work around a Fastecho bug.

1999-02-10 Wednesday 21:04  tobi

	* common.c (1.14), makefile.bsd (1.4): Fixed bug in memcpy call

1999-02-10 Wednesday 16:18  mt

	* tparser.c (1.19): fixed a bug in tparser with a NULL Pointer

1999-02-10 Wednesday 15:04  tobi

	* common.c (1.13), common.h (1.7): added makeUniqueDosFilename()
	which can be used to create more or less unique PKT file names. See
	the comments in common.c for details.

1999-02-09 Tuesday 10:38  mt

	* TODO (1.4), makefile.emo (1.1, fidoconfig-0_6), makefile.ibo
	(1.1, fidoconfig-0_6), makefile.wco (1.1, fidoconfig-0_6): added
	files i have forgotten :-(

1999-02-08 Monday 09:04  mt

	* makefile.aix (1.2, fidoconfig-0_6), makefile.bsd (1.3),
	makefile.lnx (1.12): added fconf2fidogate and new makefiles

1999-02-04 Thursday 10:21  mt

	* makefile.lnx (1.11): fixed makefile.lnx and added isLinkOfArea

1999-02-03 Wednesday 12:46  mt

	* TODO (1.3): added getConfigFileNameForProgram()

1999-02-02 Tuesday 20:41  mt

	* TODO (1.2), common.c (1.12), makefile.lnx (1.10), tparser.c
	(1.18), doc/config (1.9, fidoconfig-0_6): updates

1999-01-28 Thursday 23:38  fjoe

	* makefile.bsd (1.2): Various cleanups and minor fixes.

1999-01-27 Wednesday 18:15  mt

	* tparser.c (1.17): fixed null pointer seg-faults

1999-01-22 Friday 10:19  mt

	* INSTALL (1.8, fidoconfig-0_6), fidoInst (1.2, fidoconfig-0_6),
	line.c (1.45), makefile.lnx (1.9), tparser.c (1.16),
	doc/fidoconfig.texi (1.8, fidoconfig-0_6), doc/proposal.texi
	(1.13): added linkWithImportLog

1999-01-19 Tuesday 19:51  mt

	* makefile.lnx (1.8): fixed makefile.lnx

1999-01-19 Tuesday 10:10  mt

	* TODO (1.1): TODO added

1999-01-18 Monday 17:32  mt

	* line.c (1.44), tparser.c (1.15): changed public to publicDir

1999-01-18 Monday 17:24  mt

	* makefile.lnx (1.7): changed makefile.lnx

1999-01-17 Sunday 21:48  mt

	* makefile.bsd (1.1): added makefile for bsd

1999-01-14 Thursday 13:48  mt

	* common.c (1.11), line.c (1.43), makefile.lnx (1.6): kolyas memory
	fixes

1999-01-12 Tuesday 11:00  mt

	* makefile.lnx (1.5): last minute fixes

1999-01-11 Monday 23:13  mt

	* makefile.lnx (1.4), doc/fidoconfig.texi (1.7), doc/proposal.texi
	(1.12): fixes for release

1999-01-09 Saturday 10:53  mt

	* INSTALL (1.7), common.c (1.10), common.h (1.6), line.c (1.42),
	tparser.c (1.14): fidoconfig updates

1999-01-08 Friday 17:06  tobi

	* makefile.aix (1.1), makefile.lnx (1.3), typesize.h (1.5): - fixes
	for OSF and AIX - added makefiles for OSF and AIX - added a
	makefile with common rules

1999-01-02 Saturday 18:27  mt

	* makefile.lnx (1.2): fixes

1998-12-31 Thursday 14:13  mt

	* line.c (1.41), doc/config (1.8): fixed a bug in parseRoute, there
	it says noroute, but doku says no-route

1998-12-29 Tuesday 19:34  mt

	* tparser.c (1.13): changes

1998-12-27 Sunday 17:43  mt

	* line.c (1.40): ported fidoconfig to OS/2 for ibm c-compiler and
	watcom c32

1998-12-17 Thursday 22:46  mt

	* makefile.lnx (1.1): added kolyas new files

1998-12-17 Thursday 22:45  mt

	* common.c (1.9), common.h (1.5), line.c (1.39), tparser.c (1.12),
	doc/config (1.7): fixes by me and Kolya, unpack feature added by
	Kolya, and backporting to dos

1998-12-16 Wednesday 22:58  mt

	* COPYING (1.2, fidoconf-0_14_3-release, fidoconf-0_14_2-release,
	fidoconf-0_14-release, fidoconf-0_10c-release,
	fidoconf-0_10b-release, fidoconf-0_10a-release, fidoconfig-0_6),
	common.c (1.8), common.h (1.4), line.c (1.38), tparser.c (1.11):
	changed fidoconfig licence from gpl to lgpl

1998-12-14 Monday 15:21  mtt

	* typesize.h (1.4): got it working on a ultrasparc

1998-12-10 Thursday 23:56  mt

	* INSTALL (1.6), common.c (1.7), line.c (1.37), doc/fidoconfig.texi
	(1.6), doc/proposal.texi (1.11): changes

1998-12-08 Tuesday 10:46  mt

	* line.c (1.36), doc/proposal.texi (1.10): added passthrough for
	msgbasedir

1998-12-01 Tuesday 23:48  mt

	* common.c (1.6), common.h (1.3), line.c (1.35): changed some
	things, so Michael can only put fidoconfig.h in /usr/local/include
	and added fconf2aquaed

1998-11-30 Monday 17:13  mt

	* line.c (1.34), doc/config (1.6), doc/proposal.texi (1.9): applied
	max diff.

1998-11-28 Saturday 12:10  tobi

	* typesize.h (1.3): Added support for FreeBSD

1998-11-28 Saturday 12:10  tobi

	* common.c (1.5): Cosmetic fix (removed a warning)

1998-11-17 Tuesday 09:37  mt

	* line.c (1.33), tparser.c (1.10): fixes

1998-11-16 Monday 16:06  mt

	* line.c (1.32), doc/proposal.texi (1.8): included max -ccoff patch

1998-11-05 Thursday 10:23  mt

	* line.c (1.31), doc/fidoconfig.texi (1.5): added disposeConfig
	patch from Max, changed makefiles

1998-11-04 Wednesday 11:56  mt

	* doc/: config (1.5), proposal.texi (1.7): added carbon Copies to
	docu

1998-11-02 Monday 13:38  mt

	* line.c (1.30): incorporated carbon copy and localarea patches by
	max

1998-10-30 Friday 18:16  mt

	* doc/: config (1.4), fidoconfig.texi (1.4), proposal.texi (1.6):
	updated documentation

1998-10-30 Friday 11:10  mt

	* line.c (1.29), doc/fidoconfig.texi (1.3), doc/proposal.texi
	(1.5): incorporated max patches for groups and autoAreaCreate and
	began with documentation

1998-10-29 Thursday 08:51  mt

	* line.c (1.28): added EchoMailFlavour

1998-10-28 Wednesday 13:43  mt

	* line.c (1.27), doc/config (1.3): changed pack statement for
	arcmail

1998-10-27 Tuesday 23:37  mt

	* line.c (1.26): changed packerDef to packer according to proposal

1998-10-27 Tuesday 22:13  mt

	* line.c (1.25), tparser.c (1.9): implemented packerDef

1998-10-26 Monday 15:53  mt

	* line.c (1.24): added Max patches for include, autoCreateDefaults
	and areafix

1998-10-19 Monday 13:29  mt

	* line.c (1.23), tparser.c (1.8): fixed parsePack added displaying
	of packstatements to tparser

1998-10-18 Sunday 20:22  mt

	* line.c (1.22): changed makefile with option -fPIC fidoconfig
	exits after displaying all errors

1998-10-12 Monday 20:45  mt

	* line.c (1.21): fixed small type araepktpassword

1998-10-12 Monday 10:04  tobi

	* typesize.h (1.2): Added preliminary AIX defines. They do only
	work on 32 bit RS/6000, and I have not yet looked into the big
	endian problematic.

1998-10-05 Monday 12:56  mt

	* doc/: config (1.2), fidoconfig.texi (1.2), proposal.texi (1.4):
	docu work

1998-10-03 Saturday 21:53  mt

	* line.c (1.20): added support for recoding / importlog /
	echotosslog changed proposal, makefile

1998-10-02 Friday 23:20  mt

	* doc/proposal.texi (1.3): updated docs...

1998-09-28 Monday 12:13  mt

	* doc/proposal.texi (1.2): removed LF from fconf2* changed doku

1998-09-23 Wednesday 21:47  mt

	* doc/: config (1.1), fidoconfig.texi (1.1), proposal.texi (1.1):
	added p in netmailarea fconf2msged.c added documentation changed
	makefile(s)

1998-09-21 Monday 11:17  mt

	* line.c (1.19): added dir to makefile added testing of paths

1998-09-20 Sunday 21:48  mt

	* common.c (1.4), line.c (1.18): added useful errormessages
	fidoconfig now exits when an error is detected changed makefile

1998-09-20 Sunday 13:25  mt

	* common.c (1.3), line.c (1.17): fixed buf if line after a keyword
	was empty added line number if there were an unrecognized keyword
	(daniel Schlenzig)

1998-09-16 Wednesday 16:37  mt

	* line.c (1.16): fixed proposal added errorline if unrecognized
	areaOption

1998-09-15 Tuesday 22:35  mt

	* INSTALL (1.5), common.c (1.2), common.h (1.2), fidoInst (1.1),
	line.c (1.15): added shell like expanding of strings (~) added
	small point install script fixed a bug if a null string comes to
	parseLine()

1998-09-15 Tuesday 12:54  mt

	* line.c (1.14): fixes: bad areaOptions were not recognized

1998-09-07 Monday 21:00  mt

	* INSTALL (1.4), line.c (1.13), tparser.c (1.7): Max Levenkov added
	autoareacreate and i made some changes to his patch and here it is.
	Please look at the diff of the proposal: In Short:    Add
	MsgBaseDir <path> to config to say where to store the new msgbases.
	    Add for every link who is allowed to create areas an
	autoareacreate on

1998-09-04 Friday 20:45  mt

	* line.c (1.12): changed parsing of route-statements to fulfill
	proposal changed proposal: routeing "direct" to "no-route"

1998-09-01 Tuesday 14:53  mt

	* line.c (1.11): changed behaviour:    if a passwordline contains
	no password a empty password is used.	  example:	 password 
	xya	  pktpassword	 sessionpassword = xya but pktpassword is
	empty

1998-08-22 Saturday 10:59  mt

	* COPYING (1.1), line.c (1.10): added converter for msged and
	golded added gpl changed makefile began support of pack and unpack
	statements

1998-08-13 Thursday 11:18  mt

	* INSTALL (1.3), line.c (1.8), tparser.c (1.6): added proposal and
	my config deleted -nodc area option use instead -dupeCheck off

1998-07-23 Thursday 12:19  mt

	* tparser.c (1.5): minor update

1998-07-17 Friday 20:57  mt

	* INSTALL (1.2), line.c (1.7): updated to 0.2 and included
	PASSTHROUGH areas and made fidoconfig to display error-lines

1998-06-16 Tuesday 16:51  mt

	* line.c (1.6): made line.c more robust

1998-06-07 Sunday 12:25  mt

	* tparser.c (1.4): added displaying of routes

1998-06-07 Sunday 12:25  mt

	* line.c (1.5): fixed 2 bugs in parseRoute. patterns like * are not
	recogniced and more than oneroute statements creates an seg-fault.

1998-06-03 Wednesday 20:47  mt

	* line.c (1.4): ourAka points now to first aka if not specified

1998-05-28 Thursday 16:20  mt

	* tparser.c (1.3): added output

1998-05-28 Thursday 16:19  mt

	* line.c (1.3): bug fixes

1998-05-27 Wednesday 16:29  mt

	* tparser.c (1.2): many changes

1998-05-27 Wednesday 16:24  mt

	* line.c (1.2): many changes

1998-05-21 Thursday 16:20  mt

	* INSTALL (1.1), common.c (1.1), common.h (1.1), line.c (1.1),
	tparser.c (1.1), typesize.h (1.1): Initial revision

